/*!
 * @certifaction/verification-vue-component 3.3.0
 *
 * @link https://certifaction.com
 * @source https://github.com/certifaction/verification/tree/master/packages/verification-vue-component
 * @copyright (c) 2019-2021 Certifaction AG
 * @license MIT
 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Vue = require('vue');
var VueScrollTo = require('vue-scrollto');
var verificationCore = require('@certifaction/verification-core');
var js = require('@mdi/js');
var PDFViewer = require('@certifaction/vue-pdf-viewer');
var axios = require('axios');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var Vue__default = /*#__PURE__*/_interopDefaultLegacy(Vue);
var VueScrollTo__default = /*#__PURE__*/_interopDefaultLegacy(VueScrollTo);
var PDFViewer__default = /*#__PURE__*/_interopDefaultLegacy(PDFViewer);
var axios__default = /*#__PURE__*/_interopDefaultLegacy(axios);

var i18nWrapperMixin = {
  methods: {
    _$t: function _$t(key) {
      if (typeof this.$t === 'function') {
        for (var _len = arguments.length, values = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
          values[_key - 1] = arguments[_key];
        }

        return this.$t.apply(this, [key].concat(values));
      }

      return key;
    },
    _$tc: function _$tc(key, choice) {
      if (typeof this.$tc === 'function') {
        for (var _len2 = arguments.length, values = new Array(_len2 > 2 ? _len2 - 2 : 0), _key2 = 2; _key2 < _len2; _key2++) {
          values[_key2 - 2] = arguments[_key2];
        }

        return this.$tc.apply(this, [key, choice].concat(values));
      }

      return key;
    },
    _$te: function _$te(key, locale) {
      if (typeof this.$te === 'function') {
        return this.$te(key, locale);
      }

      return false;
    },
    _$d: function _$d(value) {
      if (typeof this.$d === 'function') {
        for (var _len3 = arguments.length, args = new Array(_len3 > 1 ? _len3 - 1 : 0), _key3 = 1; _key3 < _len3; _key3++) {
          args[_key3 - 1] = arguments[_key3];
        }

        return this.$d.apply(this, [value].concat(args));
      }

      return false;
    },
    _$n: function _$n(value) {
      if (typeof this.$n === 'function') {
        for (var _len4 = arguments.length, args = new Array(_len4 > 1 ? _len4 - 1 : 0), _key4 = 1; _key4 < _len4; _key4++) {
          args[_key4 - 1] = arguments[_key4];
        }

        return this.$n.apply(this, [value].concat(args));
      }

      return false;
    }
  }
};

//
//
//
//
//
//

var script$j = {
    name: 'MDIcon',
    props: {
        icon: {
            type: String,
            required: true
        }
    }
};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
  if (typeof shadowMode !== 'boolean') {
    createInjectorSSR = createInjector;
    createInjector = shadowMode;
    shadowMode = false;
  }

  var options = typeof script === 'function' ? script.options : script;

  if (template && template.render) {
    options.render = template.render;
    options.staticRenderFns = template.staticRenderFns;
    options._compiled = true;

    if (isFunctionalTemplate) {
      options.functional = true;
    }
  }

  if (scopeId) {
    options._scopeId = scopeId;
  }

  var hook;

  if (moduleIdentifier) {
    hook = function hook(context) {
      context = context || this.$vnode && this.$vnode.ssrContext || this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;

      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__;
      }

      if (style) {
        style.call(this, createInjectorSSR(context));
      }

      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };

    options._ssrRegister = hook;
  } else if (style) {
    hook = shadowMode ? function (context) {
      style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
    } : function (context) {
      style.call(this, createInjector(context));
    };
  }

  if (hook) {
    if (options.functional) {
      var originalRender = options.render;

      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }

  return script;
}

/* script */
const __vue_script__$j = script$j;

/* template */
var __vue_render__$j = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('svg',{staticClass:"md-icon",attrs:{"viewBox":"0 0 24 24"}},[_c('path',{attrs:{"fill":"currentColor","d":_vm.icon}})])};
var __vue_staticRenderFns__$j = [];

  /* style */
  const __vue_inject_styles__$j = undefined;
  /* scoped */
  const __vue_scope_id__$j = undefined;
  /* module identifier */
  const __vue_module_identifier__$j = undefined;
  /* functional template */
  const __vue_is_functional_template__$j = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$j = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$j, staticRenderFns: __vue_staticRenderFns__$j },
    __vue_inject_styles__$j,
    __vue_script__$j,
    __vue_scope_id__$j,
    __vue_is_functional_template__$j,
    __vue_module_identifier__$j,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$i = {
    name: 'VerificationDemo',
    mixins: [
        i18nWrapperMixin
    ],
    components: {
        MDIcon: __vue_component__$j
    },
    data() {
        return {
            mdiAlertCircle: js.mdiAlertCircle,
            mdiShield: js.mdiShield,
            mdiShieldCheck: js.mdiShieldCheck
        }
    },
    methods: {
        randomLineClass() {
            return (Math.random() > 0.5) ? 'line-long' : 'line-short'
        }
    }
};

/* script */
const __vue_script__$i = script$i;

/* template */
var __vue_render__$i = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"verification-demo"},[_c('div',{staticClass:"sample-docs"},[_c('h3',[_vm._v(_vm._s(_vm._$t('verification.demo.title')))]),_vm._v(" "),_c('span',{staticClass:"click-to-verify"},[_vm._v(_vm._s(_vm._$t('verification.demo.clickToVerify')))]),_vm._v(" "),_c('div',{staticClass:"docs"},[_c('div',{staticClass:"paperbox"},[_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.notFound.tooltip')),expression:"_$t('verification.demo.notFound.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-not-found",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'notFound')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'notFound')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiAlertCircle}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1),_vm._v(" "),_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.technicalProblem.tooltip')),expression:"_$t('verification.demo.technicalProblem.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-technical-problem",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'technicalProblem')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'technicalProblem')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiAlertCircle}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1),_vm._v(" "),_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.verifiedProcessing.tooltip')),expression:"_$t('verification.demo.verifiedProcessing.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-verified-processing",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'verifiedProcessing')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'verifiedProcessing')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiShield}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1),_vm._v(" "),_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.verified.tooltip')),expression:"_$t('verification.demo.verified.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-verified",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'verified')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'verified')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiShieldCheck}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1),_vm._v(" "),_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.verifiedSelfDeclared.tooltip')),expression:"_$t('verification.demo.verifiedSelfDeclared.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-verified-self-declared",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'verifiedSelfDeclared')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'verifiedSelfDeclared')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiShieldCheck}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1),_vm._v(" "),_c('div',{directives:[{name:"tooltip",rawName:"v-tooltip.top",value:(_vm._$t('verification.demo.revokedVerified.tooltip')),expression:"_$t('verification.demo.revokedVerified.tooltip')",modifiers:{"top":true}}],staticClass:"paper paper-revoked-verified",attrs:{"draggable":""},on:{"click":function($event){return _vm.$emit('verify-demo', 'revokedVerified')},"dragstart":function($event){return _vm.$emit('dragging-demo-doc', 'revokedVerified')},"dragend":function($event){return _vm.$emit('dragging-demo-doc')}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiShieldCheck}}),_vm._v(" "),_c('div',{staticClass:"lines"},_vm._l((4),function(n){return _c('div',{key:n,class:_vm.randomLineClass()})}),0)],1)])])])])};
var __vue_staticRenderFns__$i = [];

  /* style */
  const __vue_inject_styles__$i = undefined;
  /* scoped */
  const __vue_scope_id__$i = undefined;
  /* module identifier */
  const __vue_module_identifier__$i = undefined;
  /* functional template */
  const __vue_is_functional_template__$i = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$i = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$i, staticRenderFns: __vue_staticRenderFns__$i },
    __vue_inject_styles__$i,
    __vue_script__$i,
    __vue_scope_id__$i,
    __vue_is_functional_template__$i,
    __vue_module_identifier__$i,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$h = {
    name: 'VerificationFileSelector',
    mixins: [
        i18nWrapperMixin
    ],
    props: {
        firstVerification: {
            type: Boolean,
            default: true
        }
    },
    computed: {
        titleLabel() {
            return this.firstVerification ? this._$t('verification.fileSelection.title.first') : this._$t('verification.fileSelection.title.following')
        }
    },
    methods: {
        filesSelected(target, files) {
            this.$emit('files-selected', files);
        }
    }
};

var img$9 = "data:image/svg+xml,%3csvg width='44' height='54' viewBox='0 0 44 54' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cg clip-path='url(%23clip0)'%3e%3cg filter='url(%23filter0_dd)'%3e%3cpath d='M36.3847 2.11768H2.53857V48.7059H36.3847V2.11768Z' fill='white'/%3e%3cpath d='M6.34619 6.77649H16.077' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 9.31775H16.077' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 16.0941H32.577' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 18.6353H32.577' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 21.1765H32.577' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 23.7177H32.577' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 26.2589H32.577' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 28.8H18.1923' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M6.34619 44.8942H16.077' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3cpath d='M23.0581 44.8942H32.5773' stroke='%2314213D' stroke-opacity='0.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/g%3e%3cpath d='M41.9268 50.5755L39.705 48.3518C39.6925 48.3395 39.683 48.3247 39.677 48.3084C39.6711 48.2921 39.6688 48.2745 39.6703 48.2571C39.6718 48.2398 39.6773 48.2228 39.6859 48.2078C39.6948 48.1928 39.7069 48.1799 39.721 48.1699L41.1489 47.1788C41.2228 47.1278 41.2805 47.0569 41.3156 46.9743C41.3509 46.8919 41.3622 46.8011 41.348 46.7123C41.334 46.6238 41.2951 46.541 41.2361 46.4735C41.1771 46.4059 41.1003 46.3563 41.0144 46.3307L34.9705 44.5148C34.9088 44.4964 34.8434 44.4951 34.7808 44.511C34.7184 44.5269 34.6615 44.5593 34.6158 44.6048C34.5703 44.6504 34.5379 44.7075 34.5221 44.77C34.5064 44.8325 34.5077 44.8981 34.5261 44.96L36.3398 51.0111C36.3656 51.0971 36.4151 51.174 36.4826 51.2329C36.5501 51.2919 36.6328 51.3307 36.7214 51.3449C36.8099 51.3589 36.9006 51.3476 36.9829 51.3123C37.0654 51.2771 37.136 51.2193 37.187 51.1454L38.1766 49.716C38.1865 49.7018 38.1994 49.6897 38.2145 49.6808C38.2295 49.6722 38.2464 49.6667 38.2638 49.6652C38.2811 49.6635 38.2984 49.6658 38.3149 49.6717C38.3312 49.6777 38.346 49.687 38.3585 49.6993L40.5803 51.9234C40.6696 52.0128 40.7906 52.063 40.9167 52.063C41.0429 52.063 41.1639 52.0128 41.2532 51.9234L41.9268 51.2494C42.016 51.16 42.0662 51.0389 42.0662 50.9125C42.0662 50.786 42.016 50.6649 41.9268 50.5755Z' fill='%231376FF'/%3e%3c/g%3e%3cdefs%3e%3cfilter id='filter0_dd' x='-9.46143' y='-7.88232' width='57.8462' height='70.5882' filterUnits='userSpaceOnUse' color-interpolation-filters='sRGB'%3e%3cfeFlood flood-opacity='0' result='BackgroundImageFix'/%3e%3cfeColorMatrix in='SourceAlpha' type='matrix' values='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0'/%3e%3cfeOffset dy='1'/%3e%3cfeGaussianBlur stdDeviation='2'/%3e%3cfeColorMatrix type='matrix' values='0 0 0 0 0.12549 0 0 0 0 0.2 0 0 0 0 0.27451 0 0 0 0.04 0'/%3e%3cfeBlend mode='normal' in2='BackgroundImageFix' result='effect1_dropShadow'/%3e%3cfeColorMatrix in='SourceAlpha' type='matrix' values='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0'/%3e%3cfeOffset dy='2'/%3e%3cfeGaussianBlur stdDeviation='6'/%3e%3cfeColorMatrix type='matrix' values='0 0 0 0 0.12549 0 0 0 0 0.2 0 0 0 0 0.27451 0 0 0 0.09 0'/%3e%3cfeBlend mode='normal' in2='effect1_dropShadow' result='effect2_dropShadow'/%3e%3cfeBlend mode='normal' in='SourceGraphic' in2='effect2_dropShadow' result='shape'/%3e%3c/filter%3e%3cclipPath id='clip0'%3e%3crect width='44' height='54' fill='white'/%3e%3c/clipPath%3e%3c/defs%3e%3c/svg%3e";

/* script */
const __vue_script__$h = script$h;
var __vue_render__$h = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"verification-file-selector"},[_c('div',{staticClass:"file-selector"},[_c('div',{staticClass:"content"},[_c('img',{attrs:{"src":img$9,"alt":"Certifaction"}}),_vm._v(" "),_c('div',{staticClass:"labels"},[_c('div',{staticClass:"label title"},[_vm._v(_vm._s(_vm.titleLabel))]),_vm._v(" "),_c('div',{staticClass:"label subtitle"},[_vm._v(_vm._s(_vm._$t('verification.fileSelection.subtitle.selector')))])])]),_vm._v(" "),_c('input',{staticClass:"input-file",attrs:{"type":"file","multiple":"","name":"uploadField","accept":"application/pdf"},on:{"change":function($event){return _vm.filesSelected($event.target.name, $event.target.files)}}})])])};
var __vue_staticRenderFns__$h = [];

  /* style */
  const __vue_inject_styles__$h = undefined;
  /* scoped */
  const __vue_scope_id__$h = undefined;
  /* module identifier */
  const __vue_module_identifier__$h = undefined;
  /* functional template */
  const __vue_is_functional_template__$h = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$h = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$h, staticRenderFns: __vue_staticRenderFns__$h },
    __vue_inject_styles__$h,
    __vue_script__$h,
    __vue_scope_id__$h,
    __vue_is_functional_template__$h,
    __vue_module_identifier__$h,
    false,
    undefined,
    undefined,
    undefined
  );

//
var script$g = {
    name: 'VerificationDropBox',
    mixins: [
        i18nWrapperMixin
    ],
    props: {
        firstVerification: {
            type: Boolean,
            default: true
        }
    },
    computed: {
        titleLabel() {
            return this.firstVerification ? this._$t('verification.fileSelection.title.first') : this._$t('verification.fileSelection.title.following')
        }
    }
};

/* script */
const __vue_script__$g = script$g;
var __vue_render__$g = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"verification-dropbox"},[_c('div',{staticClass:"dropbox"},[_c('div',{staticClass:"content"},[_c('div',{staticClass:"labels"},[_c('div',{staticClass:"label title"},[_vm._v(_vm._s(_vm.titleLabel))]),_vm._v(" "),_c('div',{staticClass:"label subtitle"},[_vm._v(_vm._s(_vm._$t('verification.fileSelection.subtitle.dropbox')))])]),_vm._v(" "),_c('img',{attrs:{"src":img$9,"alt":"Certifaction"}})])])])};
var __vue_staticRenderFns__$g = [];

  /* style */
  const __vue_inject_styles__$g = undefined;
  /* scoped */
  const __vue_scope_id__$g = undefined;
  /* module identifier */
  const __vue_module_identifier__$g = undefined;
  /* functional template */
  const __vue_is_functional_template__$g = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$g = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$g, staticRenderFns: __vue_staticRenderFns__$g },
    __vue_inject_styles__$g,
    __vue_script__$g,
    __vue_scope_id__$g,
    __vue_is_functional_template__$g,
    __vue_module_identifier__$g,
    false,
    undefined,
    undefined,
    undefined
  );

//
//
//
//
//
//
//
//
//
//
//
//
//
//

var script$f = {
    name: 'ShadowItem'
};

/* script */
const __vue_script__$f = script$f;

/* template */
var __vue_render__$f = function () {var _vm=this;var _h=_vm.$createElement;_vm._self._c||_h;return _vm._m(0)};
var __vue_staticRenderFns__$f = [function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"base-card verification-shadow-card"},[_c('div',{staticClass:"lines"},[_c('div',{staticClass:"line short"}),_vm._v(" "),_c('div',{staticClass:"divider"}),_vm._v(" "),_c('div',{staticClass:"line medium"}),_vm._v(" "),_c('div',{staticClass:"line long"}),_vm._v(" "),_c('div',{staticClass:"line long"}),_vm._v(" "),_c('div',{staticClass:"line short"}),_vm._v(" "),_c('div',{staticClass:"line medium"})])])}];

  /* style */
  const __vue_inject_styles__$f = undefined;
  /* scoped */
  const __vue_scope_id__$f = undefined;
  /* module identifier */
  const __vue_module_identifier__$f = undefined;
  /* functional template */
  const __vue_is_functional_template__$f = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$f = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$f, staticRenderFns: __vue_staticRenderFns__$f },
    __vue_inject_styles__$f,
    __vue_script__$f,
    __vue_scope_id__$f,
    __vue_is_functional_template__$f,
    __vue_module_identifier__$f,
    false,
    undefined,
    undefined,
    undefined
  );

//
//
//
//
//
//
//
//
//
//
//
//
//
//


var script$e = {
    name: 'BaseCard'
};

/* script */
const __vue_script__$e = script$e;

/* template */
var __vue_render__$e = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"base-card"},[_c('div',{staticClass:"card-header"},[_vm._t("header")],2),_vm._v(" "),_c('div',{staticClass:"card-body"},[_vm._t("body")],2),_vm._v(" "),_c('div',{staticClass:"card-footer"},[_vm._t("footer")],2)])};
var __vue_staticRenderFns__$e = [];

  /* style */
  const __vue_inject_styles__$e = undefined;
  /* scoped */
  const __vue_scope_id__$e = undefined;
  /* module identifier */
  const __vue_module_identifier__$e = undefined;
  /* functional template */
  const __vue_is_functional_template__$e = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$e = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$e, staticRenderFns: __vue_staticRenderFns__$e },
    __vue_inject_styles__$e,
    __vue_script__$e,
    __vue_scope_id__$e,
    __vue_is_functional_template__$e,
    __vue_module_identifier__$e,
    false,
    undefined,
    undefined,
    undefined
  );

var img$8 = "data:image/svg+xml,%3csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath fill-rule='evenodd' clip-rule='evenodd' d='M14.073 1.57933C14.4375 1.74844 14.6695 2.11492 14.6664 2.51666V7.608C14.6719 10.9894 12.5987 14.0266 9.4477 15.2533L8.73637 15.5293C8.26237 15.7127 7.73704 15.7127 7.26304 15.5293L6.5517 15.2533C3.40068 14.0266 1.32753 10.9894 1.33304 7.608V2.51666C1.32996 2.11492 1.56194 1.74844 1.92637 1.57933C3.83979 0.738767 5.90988 0.314069 7.9997 0.33333C10.0895 0.314069 12.1596 0.738767 14.073 1.57933ZM8.31503 10.9807L12.3384 5.49266H12.3357C12.5168 5.25283 12.5548 4.93405 12.435 4.6584C12.3153 4.38275 12.0564 4.19293 11.7574 4.16165C11.4585 4.13036 11.1659 4.26245 10.9917 4.50733L7.65837 9.05466C7.62962 9.09402 7.58508 9.11883 7.53649 9.12255C7.48789 9.12627 7.4401 9.10853 7.4057 9.074L5.17837 6.846C4.85147 6.53009 4.33172 6.53446 4.01018 6.85582C3.68864 7.17717 3.68398 7.69692 3.9997 8.024L7.05103 11.074C7.20715 11.2306 7.41921 11.3187 7.64037 11.3187H7.70703C7.94926 11.2999 8.17127 11.1765 8.31503 10.9807Z' fill='%2300BF86'/%3e%3c/svg%3e";

var img$7 = "data:image/svg+xml,%3csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath fill-rule='evenodd' clip-rule='evenodd' d='M14.6664 2.51666C14.6695 2.11492 14.4375 1.74844 14.073 1.57933C12.1596 0.738767 10.0895 0.314069 7.9997 0.33333C5.90988 0.314069 3.83979 0.738767 1.92637 1.57933C1.56194 1.74844 1.32996 2.11492 1.33304 2.51666V7.608C1.32753 10.9894 3.40068 14.0266 6.5517 15.2533L7.26304 15.5293C7.73704 15.7127 8.26237 15.7127 8.73637 15.5293L9.4477 15.2533C12.5987 14.0266 14.6719 10.9894 14.6664 7.608V2.51666ZM7.99951 13C8.5518 13 8.99951 12.5523 8.99951 12C8.99951 11.4477 8.5518 11 7.99951 11C7.44723 11 6.99951 11.4477 6.99951 12C6.99951 12.5523 7.44723 13 7.99951 13ZM8.99951 8.83333C8.99951 9.47767 8.5518 10 7.99951 10C7.44723 10 6.99951 9.47767 6.99951 8.83333V4.16667C6.99951 3.52233 7.44723 3 7.99951 3C8.5518 3 8.99951 3.52233 8.99951 4.16667V8.83333Z' fill='%23F29E18'/%3e%3c/svg%3e";

var img$6 = "data:image/svg+xml,%3csvg width='14' height='16' viewBox='0 0 14 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath fill-rule='evenodd' clip-rule='evenodd' d='M13.073 1.57933C13.4375 1.74844 13.6695 2.11492 13.6664 2.51666V7.608C13.6719 10.9894 11.5987 14.0266 8.44771 15.2533L7.73637 15.5293C7.26237 15.7127 6.73704 15.7127 6.26304 15.5293L5.55171 15.2533C2.40068 14.0266 0.327531 10.9894 0.333038 7.608V2.51666C0.329956 2.11492 0.561939 1.74844 0.926372 1.57933C2.83979 0.738767 4.90988 0.314069 6.99971 0.33333C9.08953 0.314069 11.1596 0.738767 13.073 1.57933ZM10.0796 11.0759C10.3398 10.8156 10.3398 10.3936 10.0796 10.1333L8.23623 8.29261C8.17353 8.23007 8.1383 8.14516 8.1383 8.05661C8.1383 7.96806 8.17353 7.88315 8.23623 7.82061L10.0796 5.97728C10.3322 5.71569 10.3286 5.29989 10.0714 5.04273C9.81428 4.78558 9.39848 4.78196 9.13689 5.03461L7.29289 6.87794C7.16273 7.00807 6.95173 7.00807 6.82156 6.87794L4.97823 5.03461C4.81084 4.86131 4.56297 4.7918 4.32989 4.85281C4.0968 4.91382 3.91477 5.09585 3.85376 5.32894C3.79275 5.56203 3.86225 5.80989 4.03556 5.97728L5.87889 7.82061C5.94159 7.88315 5.97682 7.96806 5.97682 8.05661C5.97682 8.14516 5.94159 8.23007 5.87889 8.29261L4.03556 10.1359C3.7753 10.3963 3.7753 10.8183 4.03556 11.0786C4.30029 11.328 4.7135 11.328 4.97823 11.0786L6.82156 9.23528C6.95173 9.10515 7.16273 9.10515 7.29289 9.23528L9.13689 11.0759C9.39857 11.3329 9.81789 11.3329 10.0796 11.0759Z' fill='%23EE4266'/%3e%3c/svg%3e";

//

var script$d = {
    name: 'ResultDetail',
    mixins: [i18nWrapperMixin],
    components: {
        MDIcon: __vue_component__$j
    },
    props: {
        verificationMode: {
            type: String,
            required: true
        },
        notFound: {
            type: Boolean,
            default: false
        },
        hasTechnicalProblem: {
            type: Boolean,
            default: false
        },
        hasUnverifiedIssuer: {
            type: Boolean,
            default: false
        },
        hasVerifiedIssuer: {
            type: Boolean,
            default: false
        },
        documentRegistrationInProgress: {
            type: Boolean,
            default: false
        },
        documentRevoked: {
            type: Boolean,
            default: false
        },
        documentRevocationInProgress: {
            type: Boolean,
            default: false
        },
        documentRevocationDate: null,
        signaturesInProgress: {
            type: Number,
            default: 0
        },
        hasUnverifiedSigner: {
            type: Boolean,
            default: false
        },
        hasVerifiedSigner: {
            type: Boolean,
            default: false
        },
        signerCount: {
            type: Number,
            default: 0
        }
    },
    data() {
        return {
            mdiShieldCheck: js.mdiShieldCheck,
            mdiChevronUp: js.mdiChevronUp,
            mdiChevronDown: js.mdiChevronDown,
            mdiCircleSlice7: js.mdiCircleSlice7,
            headerSuccessShield: img$8,
            headerWarningShield: img$7,
            headerErrorShield: img$6,
            showDetails: false
        }
    },
    computed: {
        showDropdownToggler() {
            return (!this.notFound && !this.hasTechnicalProblem)
        },
        verificationStatus() {
            if (this.documentRevoked) {
                return 'error'
            }

            if (this.notFound || this.hasTechnicalProblem || this.hasUnverifiedIssuer || this.hasUnverifiedSigner) {
                return 'warning'
            }

            return 'success'
        },
        headerIcon() {
            switch (this.verificationStatus) {
                case 'success':
                    return img$8
                case 'warning':
                    return img$7
                case 'error':
                default:
                    return img$6
            }
        },
        headerLabel() {
            if (this.notFound) {
                return this._$t(`verification.result.${this.verificationMode}.notFound.status`)
            }

            if (this.hasTechnicalProblem) {
                return this._$t(`verification.result.${this.verificationMode}.technicalProblem.status`)
            }

            if (this.documentRevoked) {
                return this._$t(`verification.result.${this.verificationMode}.revoked.status`)
            }

            if (this.hasUnverifiedIssuer) {
                return this._$t(`verification.result.${this.verificationMode}.unverifiedIssuer.status`)
            }

            if (this.hasVerifiedIssuer) {
                return this._$t(`verification.result.${this.verificationMode}.verifiedIssuer.status`)
            }

            if (this.hasUnverifiedSigner) {
                return this._$tc(`verification.result.${this.verificationMode}.unverifiedSigner.status`, this.signerCount)
            }

            if (this.hasVerifiedSigner) {
                return this._$tc(`verification.result.${this.verificationMode}.verifiedSigner.status`, this.signerCount)
            }

            return null
        },
        details() {
            const langDetailsKeyPrefix = `verification.result.${this.verificationMode}.resultDetails`;
            const details = [];

            details.push({
                label: this._$t(`${langDetailsKeyPrefix}.tamperProof`),
                class: 'tamper-proof',
                icon: 'check'
            });

            const blockchainStatus = { class: 'blockchain', inProgress: true };
            if (this.documentRegistrationInProgress) {
                blockchainStatus.label = this._$t(`${langDetailsKeyPrefix}.blockchain.inProgress.registration`);
            } else if (this.documentRevocationInProgress) {
                blockchainStatus.label = this._$t(`${langDetailsKeyPrefix}.blockchain.inProgress.revocation`);
            } else if (this.signaturesInProgress > 0) {
                blockchainStatus.label = this._$t(`${langDetailsKeyPrefix}.blockchain.inProgress.signature`);
            } else {
                blockchainStatus.label = this._$t(`${langDetailsKeyPrefix}.blockchain.processed`);
                blockchainStatus.inProgress = false;
                blockchainStatus.icon = 'check';
            }

            const documentStatus = { class: 'document-valid', icon: 'check' };
            if (this.documentRevoked) {
                if (this.documentRevocationInProgress) {
                    documentStatus.label = this._$t(`${langDetailsKeyPrefix}.document.revoked.inProgress`);
                } else {
                    documentStatus.label = this._$t(
                        `${langDetailsKeyPrefix}.document.revoked.processed`,
                        { revocationDate: this.documentRevocationDate }
                    );
                }
                documentStatus.class = 'document-revoked';
                documentStatus.icon = 'close';
            } else {
                documentStatus.label = this._$t(`${langDetailsKeyPrefix}.document.valid`);
            }

            switch (this.verificationMode) {
                case 'certifying':
                    if (this.hasUnverifiedIssuer) {
                        details.push({
                            label: this._$t(`${langDetailsKeyPrefix}.issuer.unverified`),
                            class: 'unverified-issuer',
                            icon: 'alert'
                        });
                    } else if (this.hasVerifiedIssuer) {
                        details.push({
                            label: this._$t(`${langDetailsKeyPrefix}.issuer.verified`),
                            class: 'verified-issuer',
                            icon: 'check'
                        });
                    }

                    details.push(blockchainStatus);
                    details.push(documentStatus);
                    break

                case 'signing':
                    details.push(blockchainStatus);
                    details.push(documentStatus);

                    if (this.hasUnverifiedSigner) {
                        details.push({
                            label: this._$tc(`${langDetailsKeyPrefix}.signer.unverified`, this.signerCount),
                            class: 'unverified-signer',
                            icon: 'alert'
                        });
                    } else if (this.hasVerifiedSigner) {
                        details.push({
                            label: this._$tc(`${langDetailsKeyPrefix}.signer.verified`, this.signerCount),
                            class: 'verified-signer',
                            icon: 'check'
                        });
                    }
                    break
            }

            return details
        }
    },
    methods: {
        toggleDropdown() {
            this.showDetails = this.showDropdownToggler ? !this.showDetails : this.showDetails;
        },
        getDetailIcon(icon) {
            switch (icon) {
                case 'check':
                    return js.mdiCheckCircle
                case 'alert':
                    return js.mdiAlertCircle
                case 'close':
                    return js.mdiCloseCircle
            }
            return null
        }
    }
};

/* script */
const __vue_script__$d = script$d;

/* template */
var __vue_render__$d = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"result-detail",class:[_vm.verificationStatus, { expanded: _vm.showDetails && _vm.showDropdownToggler }]},[_c('div',{staticClass:"detail-header",on:{"click":_vm.toggleDropdown}},[_c('div',{staticClass:"header-icon"},[_c('img',{attrs:{"src":_vm.headerIcon,"alt":"Icon"}})]),_vm._v(" "),_c('div',{staticClass:"header-label"},[_c('div',{domProps:{"innerHTML":_vm._s(_vm.headerLabel)}})]),_vm._v(" "),(_vm.showDropdownToggler)?_c('div',{staticClass:"header-action"},[_c('button',{staticClass:"btn-link advanced-toggler",attrs:{"type":"button"}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.result.meta.details')))]),_vm._v(" "),_c('MDIcon',{staticClass:"toggler",attrs:{"icon":_vm.showDetails ? _vm.mdiChevronUp : _vm.mdiChevronDown}})],1)]):_vm._e()]),_vm._v(" "),_c('transition',{attrs:{"name":"collapse"}},[(_vm.showDetails)?_c('div',{staticClass:"detail-body"},[_c('ul',_vm._l((_vm.details),function(item,index){return _c('li',{key:index,staticClass:"detail",class:[item.class, { 'in-progress': item.inProgress }]},[(item.inProgress)?_c('MDIcon',{staticClass:"in-progress",attrs:{"icon":_vm.mdiCircleSlice7}}):_c('MDIcon',{attrs:{"icon":_vm.getDetailIcon(item.icon)}}),_vm._v(" "),_c('span',{domProps:{"innerHTML":_vm._s(item.label)}})],1)}),0)]):_vm._e()])],1)};
var __vue_staticRenderFns__$d = [];

  /* style */
  const __vue_inject_styles__$d = undefined;
  /* scoped */
  const __vue_scope_id__$d = undefined;
  /* module identifier */
  const __vue_module_identifier__$d = undefined;
  /* functional template */
  const __vue_is_functional_template__$d = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$d = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$d, staticRenderFns: __vue_staticRenderFns__$d },
    __vue_inject_styles__$d,
    __vue_script__$d,
    __vue_scope_id__$d,
    __vue_is_functional_template__$d,
    __vue_module_identifier__$d,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$c = {
    name: 'NotFoundCard',
    mixins: [i18nWrapperMixin],
    components: {
        BaseCard: __vue_component__$e,
        MDIcon: __vue_component__$j,
        ResultDetail: __vue_component__$d
    },
    props: {
        verificationItem: {
            type: Object,
            required: true
        }
    },
    data() {
        return {
            mdiFileDocument: js.mdiFileDocument
        }
    },
    methods: {
        toggleHelp(type) {
            this.$emit('toggle-help', type);
        }
    }
};

/* script */
const __vue_script__$c = script$c;

/* template */
var __vue_render__$c = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"not-found-card",scopedSlots:_vm._u([(_vm.verificationItem.name)?{key:"header",fn:function(){return [_c('div',{staticClass:"icon"},[_c('MDIcon',{staticClass:"icon-verified",attrs:{"icon":_vm.mdiFileDocument}})],1),_vm._v(" "),_c('div',{staticClass:"title"},[_c('div',{staticClass:"filename"},[_vm._v(_vm._s(_vm.verificationItem.name))])])]},proxy:true}:null,{key:"body",fn:function(){return [_c('ResultDetail',{attrs:{"verification-mode":"error","not-found":true}}),_vm._v(" "),_c('div',{staticClass:"verification-info"},[_c('div',{staticClass:"section error"},[_c('p',{domProps:{"innerHTML":_vm._s(_vm._$t("verification.result.error.notFound.details"))}})]),_vm._v(" "),(_vm.verificationItem.hash)?_c('div',{staticClass:"section document-hash"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.documentHash')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('span',{staticClass:"hash"},[_vm._v(_vm._s(_vm.verificationItem.hash))])])]):_vm._e()])]},proxy:true},{key:"footer",fn:function(){return [_c('div',{staticClass:"left"}),_vm._v(" "),_c('div',{staticClass:"right"},[_c('button',{staticClass:"btn btn-primary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.contact')))])])])]},proxy:true}],null,true)})};
var __vue_staticRenderFns__$c = [];

  /* style */
  const __vue_inject_styles__$c = undefined;
  /* scoped */
  const __vue_scope_id__$c = undefined;
  /* module identifier */
  const __vue_module_identifier__$c = undefined;
  /* functional template */
  const __vue_is_functional_template__$c = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$c = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$c, staticRenderFns: __vue_staticRenderFns__$c },
    __vue_inject_styles__$c,
    __vue_script__$c,
    __vue_scope_id__$c,
    __vue_is_functional_template__$c,
    __vue_module_identifier__$c,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$b = {
    name: 'TechnicalProblemCard',
    mixins: [i18nWrapperMixin],
    components: {
        BaseCard: __vue_component__$e,
        MDIcon: __vue_component__$j,
        ResultDetail: __vue_component__$d
    },
    props: {
        verificationItem: {
            type: Object,
            required: true
        }
    },
    data() {
        return {
            mdiFileDocument: js.mdiFileDocument
        }
    },
    methods: {
        toggleHelp(type) {
            this.$emit('toggle-help', type);
        }
    }
};

/* script */
const __vue_script__$b = script$b;

/* template */
var __vue_render__$b = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"technical-problem-card",scopedSlots:_vm._u([(_vm.verificationItem.name)?{key:"header",fn:function(){return [_c('div',{staticClass:"icon"},[_c('MDIcon',{staticClass:"icon-verified",attrs:{"icon":_vm.mdiFileDocument}})],1),_vm._v(" "),_c('div',{staticClass:"title"},[_c('div',{staticClass:"filename"},[_vm._v(_vm._s(_vm.verificationItem.name))])])]},proxy:true}:null,{key:"body",fn:function(){return [_c('ResultDetail',{attrs:{"verification-mode":"error","has-technical-problem":true}}),_vm._v(" "),_c('div',{staticClass:"verification-info"},[_c('div',{staticClass:"section error"},[_c('p',{domProps:{"innerHTML":_vm._s(_vm._$t("verification.result.error.technicalProblem.details"))}})]),_vm._v(" "),(_vm.verificationItem.hash)?_c('div',{staticClass:"section document-hash"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.documentHash')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('span',{staticClass:"hash"},[_vm._v(_vm._s(_vm.verificationItem.hash))])])]):_vm._e()])]},proxy:true},{key:"footer",fn:function(){return [_c('div',{staticClass:"left"}),_vm._v(" "),_c('div',{staticClass:"right"},[_c('button',{staticClass:"btn btn-primary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.contact')))])]),_vm._v(" "),_c('button',{staticClass:"btn btn-secondary",on:{"click":function($event){return _vm.toggleHelp('support')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.support')))])])])]},proxy:true}],null,true)})};
var __vue_staticRenderFns__$b = [];

  /* style */
  const __vue_inject_styles__$b = undefined;
  /* scoped */
  const __vue_scope_id__$b = undefined;
  /* module identifier */
  const __vue_module_identifier__$b = undefined;
  /* functional template */
  const __vue_is_functional_template__$b = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$b = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$b, staticRenderFns: __vue_staticRenderFns__$b },
    __vue_inject_styles__$b,
    __vue_script__$b,
    __vue_scope_id__$b,
    __vue_is_functional_template__$b,
    __vue_module_identifier__$b,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$a = {
    name: 'SupportCard',
    mixins: [i18nWrapperMixin],
    components: {
        BaseCard: __vue_component__$e,
        MDIcon: __vue_component__$j
    },
    data() {
        return {
            mdiChevronDown: js.mdiChevronDown,
            openItems: []
        }
    },
    methods: {
        toggleHelp(type) {
            this.$emit('toggle-help', type);
        },
        toggleItem(index) {
            if (!this.isItemOpen(index)) {
                this.openItems.push(index);
            } else {
                this.openItems = this.openItems.filter(item => item !== index);
            }
        },
        isItemOpen(index) {
            return (this.openItems.indexOf(index) >= 0)
        },
        onEnterTransition(el) {
            el.style.height = 'auto';
            const height = window.getComputedStyle(el).height;
            el.style.height = 0;
            window.getComputedStyle(el);
            window.setTimeout(() => {
                el.style.height = height;
            });
        },
        onAfterEnterTransition(el) {
            el.style.height = 'auto';
        },
        onLeaveTransition(el) {
            el.style.height = window.getComputedStyle(el).height;
            window.getComputedStyle(el);
            window.setTimeout(() => {
                el.style.height = 0;
            });
        }
    }
};

/* script */
const __vue_script__$a = script$a;

/* template */
var __vue_render__$a = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"help-card",scopedSlots:_vm._u([{key:"header",fn:function(){return [_c('div',{staticClass:"title"},[_c('span',{staticClass:"help-card-title"},[_vm._v(_vm._s(_vm._$t('verification.card.faq.title')))])])]},proxy:true},{key:"body",fn:function(){return [_c('div',{staticClass:"faq-items accordion"},_vm._l((_vm._$t('verification.card.faq.items', { returnObjects: true })),function(item,index){return _c('div',{key:index,staticClass:"item",class:{ open: _vm.isItemOpen(index) }},[_c('div',{staticClass:"item-title",on:{"click":function($event){return _vm.toggleItem(index)}}},[_c('span',[_vm._v(_vm._s(item.title))]),_vm._v(" "),_c('MDIcon',{staticClass:"chevron",attrs:{"icon":_vm.mdiChevronDown}})],1),_vm._v(" "),_c('transition',{attrs:{"name":"collapse"},on:{"enter":_vm.onEnterTransition,"after-enter":_vm.onAfterEnterTransition,"leave":_vm.onLeaveTransition}},[(_vm.isItemOpen(index))?_c('div',{staticClass:"content"},[_c('div',{staticClass:"inside",domProps:{"innerHTML":_vm._s(item.content)}})]):_vm._e()])],1)}),0)]},proxy:true},{key:"footer",fn:function(){return [_c('div',{staticClass:"left"},[_c('button',{staticClass:"btn btn-secondary",on:{"click":function($event){return _vm.toggleHelp('support')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.back')))])])]),_vm._v(" "),_c('div',{staticClass:"right"},[_c('button',{staticClass:"btn btn-primary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.contact')))])])])]},proxy:true}])})};
var __vue_staticRenderFns__$a = [];

  /* style */
  const __vue_inject_styles__$a = undefined;
  /* scoped */
  const __vue_scope_id__$a = undefined;
  /* module identifier */
  const __vue_module_identifier__$a = undefined;
  /* functional template */
  const __vue_is_functional_template__$a = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$a = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$a, staticRenderFns: __vue_staticRenderFns__$a },
    __vue_inject_styles__$a,
    __vue_script__$a,
    __vue_scope_id__$a,
    __vue_is_functional_template__$a,
    __vue_module_identifier__$a,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$9 = {
    name: 'ContactCard',
    mixins: [i18nWrapperMixin],
    components: {
        BaseCard: __vue_component__$e
    },
    props: {
        certifactionApiUrl: {
            type: String,
            required: true
        }
    },
    data() {
        return {
            contactFormSubmitting: false,
            contactFormSuccessful: false,
            contactFormFailed: false,
            reactiveValidation: false,
            email: null,
            question: null,
            consentAccepted: false,
            errors: {
                email: false,
                question: false,
                consent: false
            }
        }
    },
    watch: {
        email: function() {
            if (this.reactiveValidation) {
                this.validate();
            }
        },
        question: function() {
            if (this.reactiveValidation) {
                this.validate();
            }
        },
        consentAccepted: function() {
            if (this.reactiveValidation) {
                this.validate();
            }
        }
    },
    methods: {
        toggleHelp(type) {
            this.$emit('toggle-help', type);
        },
        checkForm: function(e) {
            e.preventDefault();
            this.reactiveValidation = true;
            this.contactFormSuccessful = this.contactFormFailed = false;

            if (this.validate()) {
                this.postForm();
            }
        },
        validate() {
            const emailRegex = /^[a-zA-Z0-9.!#$%&’*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;

            this.errors.email = this.errors.question = this.errors.consent = false;

            if (!this.email || (!!this.email && !emailRegex.test(this.email))) {
                this.errors.email = true;
            }
            if (!this.question) {
                this.errors.question = true;
            }
            if (!this.consentAccepted) {
                this.errors.consent = true;
            }

            return !(this.errors.email || this.errors.question || this.errors.consent)
        },
        async postForm() {
            this.contactFormSubmitting = true;

            try {
                await axios__default['default'].post(`${this.certifactionApiUrl}/support/request`, {
                    origin: 'Verification Tool',
                    contact_email: this.email,
                    subject: 'Support request',
                    body: this.question
                });

                this.contactFormSuccessful = true;
                this.email = this.question = null;
                this.consentAccepted = false;
            } catch (error) {
                console.log('postForm() catch()', error, error.response.data);
                this.contactFormFailed = true;
            }

            this.contactFormSubmitting = this.reactiveValidation = false;
        }
    }
};

var img$5 = "data:image/svg+xml,%3c%3fxml version='1.0' encoding='utf-8'%3f%3e%3csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' style='margin: auto%3b background: none%3b display: block%3b shape-rendering: auto%3b' width='100px' height='100px' viewBox='0 0 100 100' preserveAspectRatio='xMidYMid'%3e%3cg transform='rotate(0 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.875s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(45 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.75s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(90 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.625s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(135 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.5s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(180 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.375s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(225 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.25s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(270 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='-0.125s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3cg transform='rotate(315 50 50)'%3e %3crect x='46.5' y='17' rx='0.9' ry='0.9' width='7' height='18' fill='white'%3e %3canimate attributeName='opacity' values='1%3b0' keyTimes='0%3b1' dur='1s' begin='0s' repeatCount='indefinite'%3e%3c/animate%3e %3c/rect%3e%3c/g%3e%3c!-- %5bldio%5d generated by https://loading.io/ --%3e%3c/svg%3e";

/* script */
const __vue_script__$9 = script$9;
var __vue_render__$9 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"help-card",scopedSlots:_vm._u([{key:"header",fn:function(){return [_c('div',{staticClass:"title"},[_c('span',{staticClass:"help-card-title"},[_vm._v(_vm._s(_vm._$t('verification.card.contact.title')))])])]},proxy:true},{key:"body",fn:function(){return [_c('form',{attrs:{"id":"contact-form","method":"POST"},on:{"submit":_vm.checkForm}},[_c('div',{staticClass:"email-field",class:{error: _vm.errors.email}},[_c('label',{attrs:{"for":"email"}},[_vm._v(_vm._s(_vm._$t('verification.card.contact.form.email')))]),_vm._v(" "),_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.email),expression:"email"}],attrs:{"id":"email","type":"email","name":"email"},domProps:{"value":(_vm.email)},on:{"input":function($event){if($event.target.composing){ return; }_vm.email=$event.target.value;}}})]),_vm._v(" "),_c('div',{staticClass:"question-field",class:{error: _vm.errors.question}},[_c('label',{attrs:{"for":"question"}},[_vm._v(_vm._s(_vm._$t('verification.card.contact.form.question')))]),_vm._v(" "),_c('textarea',{directives:[{name:"model",rawName:"v-model",value:(_vm.question),expression:"question"}],attrs:{"id":"question","name":"question"},domProps:{"value":(_vm.question)},on:{"input":function($event){if($event.target.composing){ return; }_vm.question=$event.target.value;}}})]),_vm._v(" "),_c('div',{staticClass:"consent-field",class:{error: _vm.errors.consent}},[_c('label',{staticClass:"switch"},[_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.consentAccepted),expression:"consentAccepted"}],attrs:{"id":"consent","type":"checkbox"},domProps:{"checked":Array.isArray(_vm.consentAccepted)?_vm._i(_vm.consentAccepted,null)>-1:(_vm.consentAccepted)},on:{"change":function($event){var $$a=_vm.consentAccepted,$$el=$event.target,$$c=$$el.checked?(true):(false);if(Array.isArray($$a)){var $$v=null,$$i=_vm._i($$a,$$v);if($$el.checked){$$i<0&&(_vm.consentAccepted=$$a.concat([$$v]));}else {$$i>-1&&(_vm.consentAccepted=$$a.slice(0,$$i).concat($$a.slice($$i+1)));}}else {_vm.consentAccepted=$$c;}}}}),_vm._v(" "),_c('span',{staticClass:"slider round"})]),_vm._v(" "),_c('label',{staticClass:"consent",attrs:{"for":"consent"},domProps:{"innerHTML":_vm._s(_vm._$t('verification.card.contact.form.consent'))}})]),_vm._v(" "),(_vm.contactFormSuccessful)?_c('span',{staticClass:"message-sent success"},[_vm._v(_vm._s(_vm._$t('verification.card.contact.form.submitted')))]):_vm._e(),_vm._v(" "),(_vm.contactFormFailed)?_c('span',{staticClass:"message-sent failed"},[_vm._v(_vm._s(_vm._$t('verification.card.contact.form.failed')))]):_vm._e()])]},proxy:true},{key:"footer",fn:function(){return [_c('div',{staticClass:"left"},[_c('button',{staticClass:"btn btn-secondary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.back')))])])]),_vm._v(" "),_c('div',{staticClass:"right"},[_c('button',{staticClass:"btn btn-primary",attrs:{"type":"submit","form":"contact-form","disabled":_vm.contactFormSubmitting}},[(_vm.contactFormSubmitting)?_c('img',{staticClass:"loading-spinner",attrs:{"src":img$5,"alt":"Spinner"}}):_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.contact.form.submit')))])])])]},proxy:true}])})};
var __vue_staticRenderFns__$9 = [];

  /* style */
  const __vue_inject_styles__$9 = undefined;
  /* scoped */
  const __vue_scope_id__$9 = undefined;
  /* module identifier */
  const __vue_module_identifier__$9 = undefined;
  /* functional template */
  const __vue_is_functional_template__$9 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$9 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$9, staticRenderFns: __vue_staticRenderFns__$9 },
    __vue_inject_styles__$9,
    __vue_script__$9,
    __vue_scope_id__$9,
    __vue_is_functional_template__$9,
    __vue_module_identifier__$9,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$8 = {
    name: 'DataPanel',
    components: {
        MDIcon: __vue_component__$j
    },
    props: {
        iconSrc: {
            type: String
        },
        mdIcon: {
            type: String
        },
        title: {
            type: String,
            required: true
        }
    },
    data() {
        return {
            mdiChevronUp: js.mdiChevronUp,
            collapsed: true
        }
    },
    computed: {
        hasContent() {
            return !!this.$slots.default
        }
    },
    methods: {
        onClickHeader() {
            if (this.hasContent) {
                this.collapsed = !this.collapsed;
            }
        },
        onEnterTransition(el) {
            el.style.height = 'auto';
            const height = window.getComputedStyle(el).height;
            el.style.height = 0;
            window.getComputedStyle(el);
            window.setTimeout(() => {
                el.style.height = height;
            });
        },
        onAfterEnterTransition(el) {
            el.style.height = 'auto';
        },
        onLeaveTransition(el) {
            el.style.height = window.getComputedStyle(el).height;
            window.getComputedStyle(el);
            window.setTimeout(() => {
                el.style.height = 0;
            });
        }
    }
};

/* script */
const __vue_script__$8 = script$8;

/* template */
var __vue_render__$8 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"data-panel",class:{ collapsed: _vm.hasContent && _vm.collapsed, 'has-icon': _vm.iconSrc || _vm.mdIcon, 'has-content': _vm.hasContent }},[_c('div',{staticClass:"header",on:{"click":_vm.onClickHeader}},[(_vm.iconSrc || _vm.mdIcon)?_c('div',{staticClass:"icon"},[(_vm.iconSrc)?_c('img',{staticClass:"icon",attrs:{"src":_vm.iconSrc,"alt":"Icon"}}):_vm._e(),_vm._v(" "),(_vm.mdIcon)?_c('MDIcon',{attrs:{"icon":_vm.mdIcon}}):_vm._e()],1):_vm._e(),_vm._v(" "),_c('div',{staticClass:"title",domProps:{"innerHTML":_vm._s(_vm.title)}}),_vm._v(" "),(_vm.hasContent)?_c('div',{staticClass:"collapse-indicator"},[_c('MDIcon',{attrs:{"icon":_vm.mdiChevronUp}})],1):_vm._e()]),_vm._v(" "),_c('transition',{attrs:{"name":"collapse"},on:{"enter":_vm.onEnterTransition,"after-enter":_vm.onAfterEnterTransition,"leave":_vm.onLeaveTransition}},[(_vm.hasContent && !_vm.collapsed)?_c('div',{staticClass:"content"},[_vm._t("default")],2):_vm._e()])],1)};
var __vue_staticRenderFns__$8 = [];

  /* style */
  const __vue_inject_styles__$8 = undefined;
  /* scoped */
  const __vue_scope_id__$8 = undefined;
  /* module identifier */
  const __vue_module_identifier__$8 = undefined;
  /* functional template */
  const __vue_is_functional_template__$8 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$8 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$8, staticRenderFns: __vue_staticRenderFns__$8 },
    __vue_inject_styles__$8,
    __vue_script__$8,
    __vue_scope_id__$8,
    __vue_is_functional_template__$8,
    __vue_module_identifier__$8,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$7 = {
    name: 'EventDetails',
    mixins: [i18nWrapperMixin],
    components: {
        MDIcon: __vue_component__$j
    },
    props: {
        event: {
            type: Object,
            required: true
        }
    },
    inject: ['isBeforeDetailedVerifiedMigration'],
    data() {
        return {
            mdiCheck: js.mdiCheck
        }
    },
    computed: {
        details() {
            const details = [];

            if (this.event.issuer.name) {
                details.push({
                    label: this._$t('verification.result.meta.name'),
                    value: this.event.issuer.name,
                    verifiable: true,
                    verified: (this.event.issuer.name_verified === true || (this.isBeforeDetailedVerifiedMigration(this.event) && !!this.event.issuer.verified_by))
                });
            }
            if (this.event.scope !== 'certify') {
                if (this.event.issuer.email) {
                    details.push({
                        label: this._$t('verification.result.meta.email'),
                        value: this.event.issuer.email,
                        verifiable: true,
                        verified: (this.event.issuer.email_verified === true)
                    });
                }
                if (this.event.issuer.phone) {
                    details.push({
                        label: this._$t('verification.result.meta.phone'),
                        value: this.event.issuer.phone,
                        verifiable: true,
                        verified: (this.event.issuer.phone_verified === true)
                    });
                }
            }

            if (this.event.scope === 'sign' && this.event.date) {
                details.push({
                    label: this._$t('verification.result.meta.signedAt'),
                    value: this._$d(new Date(this.event.date), 'short')
                });
            }

            if (this.event.issuer.verified_by) {
                const verifiedBy = {
                    label: this._$t('verification.result.meta.' + ((this.event.scope === 'sign') ? 'signedVia' : 'verifiedBy')),
                    value: this.event.issuer.verified_by.name
                };
                if (this.event.issuer.verified_by.image) {
                    verifiedBy.imageSrc = this.event.issuer.verified_by.image;
                }
                details.push(verifiedBy);
            }

            return details
        }
    }
};

/* script */
const __vue_script__$7 = script$7;

/* template */
var __vue_render__$7 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"event-details"},_vm._l((_vm.details),function(detail){return _c('div',{key:detail.label,staticClass:"data-row"},[(detail.verifiable)?_c('div',{class:detail.verified === true ? 'verified' : 'unverified'},[_c('MDIcon',{attrs:{"icon":_vm.mdiCheck}})],1):_vm._e(),_vm._v(" "),_c('div',{staticClass:"label"},[_vm._v(_vm._s(detail.label))]),_vm._v(" "),_c('div',{staticClass:"value"},[(detail.imageSrc)?_c('img',{attrs:{"src":detail.imageSrc,"alt":detail.value,"title":detail.value}}):[_vm._v(_vm._s(detail.value))]],2)])}),0)};
var __vue_staticRenderFns__$7 = [];

  /* style */
  const __vue_inject_styles__$7 = undefined;
  /* scoped */
  const __vue_scope_id__$7 = undefined;
  /* module identifier */
  const __vue_module_identifier__$7 = undefined;
  /* functional template */
  const __vue_is_functional_template__$7 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$7 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$7, staticRenderFns: __vue_staticRenderFns__$7 },
    __vue_inject_styles__$7,
    __vue_script__$7,
    __vue_scope_id__$7,
    __vue_is_functional_template__$7,
    __vue_module_identifier__$7,
    false,
    undefined,
    undefined,
    undefined
  );

var img$4 = "data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' xmlns:v='https://vecta.io/nano'%3e%3cpath d='M10 9a3 3 0 1 0-3-3 3 3 0 0 0 3 3zm0 1c-3.31 0-6 3-6 6.65a.34.34 0 0 0 .32.35h11.36a.34.34 0 0 0 .32-.35C16 13 13.31 10 10 10z' fill='%230669f2'/%3e%3c/svg%3e";

//

var script$6 = {
    name: 'CertifyingCard',
    mixins: [i18nWrapperMixin],
    components: {
        BaseCard: __vue_component__$e,
        ResultDetail: __vue_component__$d,
        MDIcon: __vue_component__$j,
        DataPanel: __vue_component__$8,
        EventDetails: __vue_component__$7
    },
    inject: ['isBeforeDetailedVerifiedMigration', 'issuerDisplayName'],
    data() {
        return {
            mdiAlertCircle: js.mdiAlertCircle,
            mdiCalendarClock: js.mdiCalendarClock,
            mdiClose: js.mdiClose,
            mdiDomain: js.mdiDomain,
            mdiFileDocument: js.mdiFileDocument,
            mdiShieldCheck: js.mdiShieldCheck,
            iconUser: img$4,
            showExpertInfo: false
        }
    },
    props: {
        verificationItem: {
            type: Object,
            required: true
        },
        net: {
            type: String,
            required: true
        }
    },
    computed: {
        registerEvents() {
            return this.verificationItem.events ? this.verificationItem.events.filter(event => ['register', 'certify'].indexOf(event.scope) >= 0) : []
        },
        revokeEvents() {
            return this.verificationItem.events ? this.verificationItem.events.filter(event => event.scope === 'revoke') : []
        },
        registrationInProgress() {
            return this.registerEvents.filter(event => !event.on_blockchain).length > 0
        },
        revocationInProgress() {
            return this.revokeEvents.filter(event => !event.on_blockchain).length > 0
        },
        revocationDate() {
            if (this.revokeEvents.length === 0) {
                return null
            }

            const revocationDate = new Date(this.revokeEvents[0].date);
            if (!isNaN(revocationDate)) {
                return this._$d(revocationDate, 'long')
            }

            return this.revokeEvents[0].date
        },
        hasUnverifiedIssuer() {
            return this.registerEvents.filter(event => !event.issuer.verified_by).length > 0
        },
        hasVerifiedIssuer() {
            return this.registerEvents.filter(event => !!event.issuer.verified_by).length > 0
        }
    },
    methods: {
        toggleHelp(type) {
            this.$emit('toggle-help', type);
        }
    }
};

/* script */
const __vue_script__$6 = script$6;

/* template */
var __vue_render__$6 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{scopedSlots:_vm._u([(_vm.verificationItem.name)?{key:"header",fn:function(){return [_c('div',{staticClass:"icon"},[_c('MDIcon',{staticClass:"icon-verified",attrs:{"icon":_vm.mdiFileDocument}})],1),_vm._v(" "),_c('div',{staticClass:"title"},[_c('div',{staticClass:"filename"},[_vm._v(_vm._s(_vm.verificationItem.name))])])]},proxy:true}:null,(_vm.showExpertInfo)?{key:"body",fn:function(){return [_c('div',{staticClass:"verification-info expert"},[(_vm.verificationItem.hash)?_c('div',{staticClass:"section document-hash"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.documentHash')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.verificationItem.hash))])])]):_vm._e(),_vm._v(" "),(_vm.registerEvents.length > 0 && _vm.registerEvents[0].on_blockchain)?_c('div',{staticClass:"section smart-contract-address"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.smartContractAddress')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('a',{attrs:{"href":("https://" + _vm.net + "/address/" + (_vm.registerEvents[0].on_blockchain.contract_address)),"target":"_blank"}},[_vm._v(_vm._s(_vm.registerEvents[0].on_blockchain.contract_address))])])]):_vm._e(),_vm._v(" "),(_vm.registerEvents.length > 0 && _vm.registerEvents[0].issuer.id)?_c('div',{staticClass:"section issuer-address"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.issuerAddress')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.registerEvents[0].issuer.id))])])]):_vm._e(),_vm._v(" "),(_vm.registerEvents.length > 0 && _vm.registerEvents[0].on_blockchain)?_c('div',{staticClass:"section registration-hash"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.registrationTransaction')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('a',{attrs:{"href":("https://" + _vm.net + "/tx/" + (_vm.registerEvents[0].on_blockchain.tx_hash)),"target":"_blank"}},[_vm._v(_vm._s(_vm.registerEvents[0].on_blockchain.tx_hash))])])]):_vm._e(),_vm._v(" "),(_vm.revokeEvents.length > 0 && _vm.revokeEvents[0].on_blockchain)?_c('div',{staticClass:"section revocation-hash"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.revocationTransaction')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('a',{attrs:{"href":("https://" + _vm.net + "/tx/" + (_vm.revokeEvents[0].on_blockchain.tx_hash)),"target":"_blank"}},[_vm._v(_vm._s(_vm.revokeEvents[0].on_blockchain.tx_hash))])])]):_vm._e()])]},proxy:true}:{key:"body",fn:function(){return [_c('ResultDetail',{attrs:{"verification-mode":"certifying","has-unverified-issuer":_vm.hasUnverifiedIssuer,"has-verified-issuer":_vm.hasVerifiedIssuer,"document-registration-in-progress":_vm.registrationInProgress,"document-revoked":_vm.revokeEvents.length > 0,"document-revocation-in-progress":_vm.revocationInProgress,"document-revocation-date":_vm.revocationDate}}),_vm._v(" "),_c('div',{staticClass:"verification-info"},[(_vm.registerEvents.length > 0)?_c('div',{staticClass:"section issuer"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.issuer')))]),_vm._v(" "),_c('DataPanel',{attrs:{"icon-src":(_vm.registerEvents[0].scope !== 'certify') ? _vm.iconUser : null,"md-icon":(_vm.registerEvents[0].scope === 'certify') ? _vm.mdiDomain : null,"title":_vm.issuerDisplayName(_vm.registerEvents[0])}},[_c('EventDetails',{attrs:{"event":_vm.registerEvents[0]}})],1)],1):_vm._e(),_vm._v(" "),(_vm.registerEvents.length > 0 && _vm.registerEvents[0].date)?_c('div',{staticClass:"section registration-date"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.registrationDate')))]),_vm._v(" "),_c('DataPanel',{attrs:{"md-icon":_vm.mdiCalendarClock,"title":_vm._$d(new Date(_vm.registerEvents[0].date), 'long')}})],1):_vm._e(),_vm._v(" "),(_vm.revokeEvents.length > 0 && _vm.revocationDate)?_c('div',{staticClass:"section revocation-date"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.revocationDate')))]),_vm._v(" "),_c('DataPanel',{attrs:{"md-icon":_vm.mdiClose,"title":_vm.revocationDate}})],1):_vm._e()])]},proxy:true},{key:"footer",fn:function(){return [_c('div',{staticClass:"left"},[(_vm.showExpertInfo)?_c('button',{staticClass:"btn btn-secondary",on:{"click":function($event){_vm.showExpertInfo = !_vm.showExpertInfo;}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.back')))])]):_vm._e()]),_vm._v(" "),_c('div',{staticClass:"right"},[_c('button',{staticClass:"btn btn-secondary",on:{"click":function($event){return _vm.toggleHelp('support')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.support')))])]),_vm._v(" "),(!_vm.showExpertInfo)?_c('button',{staticClass:"btn btn-secondary",on:{"click":function($event){_vm.showExpertInfo = !_vm.showExpertInfo;}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.expertInfo')))])]):_vm._e()])]},proxy:true}],null,true)})};
var __vue_staticRenderFns__$6 = [];

  /* style */
  const __vue_inject_styles__$6 = undefined;
  /* scoped */
  const __vue_scope_id__$6 = undefined;
  /* module identifier */
  const __vue_module_identifier__$6 = undefined;
  /* functional template */
  const __vue_is_functional_template__$6 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$6 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$6, staticRenderFns: __vue_staticRenderFns__$6 },
    __vue_inject_styles__$6,
    __vue_script__$6,
    __vue_scope_id__$6,
    __vue_is_functional_template__$6,
    __vue_module_identifier__$6,
    false,
    undefined,
    undefined,
    undefined
  );

var img$3 = "data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns:v='https://vecta.io/nano'%3e%3cg clip-path='url(%23A)' fill='%230669f2'%3e%3cpath d='M5.441 13.218c-.104.104-.163.245-.163.393a.55.55 0 0 0 .163.393c.105.104.245.163.393.163a.55.55 0 0 0 .393-.163l.713-.713c.049-.049.11-.084.177-.102s.138-.017.205.001.128.054.177.103.083.111.101.178c.029.117.086.226.166.317s.181.161.293.204a.75.75 0 0 0 .69-.077l.542-.362c.076-.05.167-.073.257-.064a.4.4 0 0 1 .24.113l.399.399c.104.104.245.163.393.163h2.199c.147 0 .289-.058.393-.163s.163-.245.163-.393-.059-.289-.163-.393-.245-.163-.393-.163h-1.912a.14.14 0 0 1-.098-.041l-.195-.195a1.51 1.51 0 0 0-1.899-.188l-.077.052a.14.14 0 0 1-.1.021c-.035-.006-.066-.025-.087-.053-.13-.17-.296-.309-.484-.41a1.5 1.5 0 0 0-.61-.174 1.51 1.51 0 0 0-.628.093 1.5 1.5 0 0 0-.533.344l-.713.714zm11.226-4.051c0-.147-.058-.289-.163-.393s-.245-.163-.393-.163h-1.667c-.147 0-.289.059-.393.163s-.163.245-.163.393.059.289.163.393.245.163.393.163h.972c.018 0 .036.003.053.01s.032.017.045.03.023.028.03.045.011.035.01.053v5.556c0 .037-.015.072-.041.098s-.061.041-.098.041H4.583c-.037 0-.072-.015-.098-.041s-.041-.061-.041-.098V9.861c0-.018.003-.036.01-.053s.017-.032.03-.045.028-.023.045-.03.035-.011.053-.01h2.083c.147 0 .289-.059.393-.163s.163-.245.163-.393-.059-.289-.163-.393-.245-.163-.393-.163H3.889c-.147 0-.289.059-.393.163s-.163.245-.163.393v6.667c0 .221.088.433.244.589s.368.244.589.244h11.667c.221 0 .433-.088.589-.244s.244-.368.244-.589V9.167zM15.13 5.818a1.46 1.46 0 0 0 .427-1.03c0-.386-.153-.757-.427-1.03a1.46 1.46 0 0 0-1.03-.427c-.386 0-.757.153-1.03.427L9.36 7.469a.14.14 0 0 0 0 .197l1.862 1.863c.013.013.028.023.045.03a.14.14 0 0 0 .053.011.14.14 0 0 0 .053-.011c.017-.007.032-.017.045-.03l3.712-3.711zm-6.715 4.656a.28.28 0 0 0 .196.082.26.26 0 0 0 .056-.005l1.746-.35c.024-.005.047-.017.066-.034a.14.14 0 0 0 .005-.201l-1.562-1.56a.14.14 0 0 0-.234.071l-.349 1.745a.28.28 0 0 0 .006.135c.013.044.037.084.07.116z'/%3e%3c/g%3e%3cdefs%3e%3cclipPath id='A'%3e%3cpath fill='white' transform='translate(3.333 3.333)' d='M0 0h13.333v13.333H0z'/%3e%3c/clipPath%3e%3c/defs%3e%3c/svg%3e";

var img$2 = "data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 20 20' fill='%230669f2' xmlns:v='https://vecta.io/nano'%3e%3cpath d='M16.91 12.28a.16.16 0 0 1-.14-.16v-.66a2.29 2.29 0 1 0-4.57 0v.66a.16.16 0 0 1-.14.16 1 1 0 0 0-.84 1v3.59a1 1 0 0 0 1 1h4.57a1 1 0 0 0 1-1v-3.62a1 1 0 0 0-.88-.97zm-2 3.55a.65.65 0 0 1-.46.2h0a.65.65 0 1 1 .65-.65.66.66 0 0 1-.1.45zm.51-3.72a.15.15 0 0 1 0 .11.15.15 0 0 1-.12 0h-1.63a.15.15 0 0 1-.12 0 .15.15 0 0 1 0-.11v-.65a1 1 0 1 1 2 0zM10 16a5 5 0 0 1-1.74.31.5.5 0 0 0 0 1 6 6 0 0 0 1.87-.31.14.14 0 0 0 .11-.15v-.65a.14.14 0 0 0-.06-.14A.2.2 0 0 0 10 16zm3.34-7.78h0a.21.21 0 0 0 .07.12.15.15 0 0 0 .13 0 2.56 2.56 0 0 1 .62-.07h0a.14.14 0 0 0 .14-.14 5.92 5.92 0 0 0-1.25-3.69.53.53 0 0 0-.33-.19.49.49 0 0 0-.36.1.46.46 0 0 0-.18.32.47.47 0 0 0 .1.36 5 5 0 0 1 1.06 3.19zM6.32 16a5.07 5.07 0 0 1-3.09-4.7v-1.24a.5.5 0 0 0-1 0v1.24a6 6 0 0 0 3.69 5.56.42.42 0 0 0 .19 0 .49.49 0 0 0 .48-.39.47.47 0 0 0-.27-.47zm-3.6-7.6h0a.49.49 0 0 0 .49-.47 5.06 5.06 0 0 1 7.58-4.09.49.49 0 0 0 .65-.19.49.49 0 0 0-.13-.65 6 6 0 0 0-9 4.89.49.49 0 0 0 .13.35.47.47 0 0 0 .28.16zm8.89 1.21a.15.15 0 0 0 .18 0 2.61 2.61 0 0 1 .62-.62.16.16 0 0 0 .06-.13v-.64A4.18 4.18 0 0 0 7 4.24a.49.49 0 0 0-.29.24.55.55 0 0 0 0 .38.49.49 0 0 0 .61.31 2.85 2.85 0 0 1 1-.16 3.21 3.21 0 0 1 3.18 3.21v1.24a.15.15 0 0 0 .11.15zM10.16 14a.2.2 0 0 0-.16 0 3.19 3.19 0 0 1-4.92-2.7V8.22a3.24 3.24 0 0 1 .81-2.14.49.49 0 0 0 .11-.36.46.46 0 0 0-.16-.34.5.5 0 0 0-.69 0A4.2 4.2 0 0 0 4.1 8.22v3.08a4.19 4.19 0 0 0 4.19 4.18 4.06 4.06 0 0 0 1.87-.48.15.15 0 0 0 .08-.14v-.74a.18.18 0 0 0-.08-.12zM8.29 5.87A2.34 2.34 0 0 0 6 8.22v.92a.5.5 0 0 0 1 0v-.92a1.36 1.36 0 0 1 2.72 0v3.07a1.36 1.36 0 0 1-2.72 0 .5.5 0 0 0-1 0 2.33 2.33 0 0 0 4.27 1.31v-.08a1.16 1.16 0 0 1 .3-.75.2.2 0 0 0 0-.08 2.56 2.56 0 0 0 0-.39V8.22a2.36 2.36 0 0 0-2.28-2.35zm.49 4.82V8.84a.5.5 0 1 0-1 0v1.85a.5.5 0 0 0 1 0z'/%3e%3c/svg%3e";

//

var script$5 = {
    name: 'SigningCard',
    mixins: [i18nWrapperMixin],
    components: {
        BaseCard: __vue_component__$e,
        ResultDetail: __vue_component__$d,
        MDIcon: __vue_component__$j,
        DataPanel: __vue_component__$8,
        EventDetails: __vue_component__$7
    },
    inject: ['isBeforeDetailedVerifiedMigration', 'issuerDisplayName'],
    data() {
        return {
            mdiShieldCheck: js.mdiShieldCheck,
            mdiFileDocument: js.mdiFileDocument,
            mdiAlertCircle: js.mdiAlertCircle,
            iconSignature: img$3,
            iconFingerprint: img$2,
            iconUser: img$4,
            showExpertInfo: false
        }
    },
    props: {
        verificationItem: {
            type: Object,
            required: true
        },
        net: {
            type: String,
            required: true
        }
    },
    computed: {
        registerEvents() {
            return this.verificationItem.events ? this.verificationItem.events.filter(event => event.scope === 'register') : []
        },
        revokeEvents() {
            return this.verificationItem.events ? this.verificationItem.events.filter(event => event.scope === 'revoke') : []
        },
        signEvents() {
            const signEvents = this.verificationItem.events ? this.verificationItem.events.filter(event => event.scope === 'sign') : [];
            if (signEvents.length > 1) {
                signEvents.sort((a, b) => {
                    const aDate = (a.date) ? new Date(a.date) : null;
                    const bDate = (b.date) ? new Date(b.date) : null;

                    if (aDate < bDate) {
                        return -1
                    }
                    if (aDate > bDate) {
                        return 1
                    }

                    return 0
                });
            }
            return signEvents
        },
        revocationInProgress() {
            return this.revokeEvents.filter(event => !event.on_blockchain).length > 0
        },
        revocationDate() {
            if (this.revokeEvents.length === 0) {
                return null
            }

            const revocationDate = new Date(this.revokeEvents[0].date);
            if (!isNaN(revocationDate)) {
                return this._$d(revocationDate, 'long')
            }

            return this.revokeEvents[0].date
        },
        signaturesInProgress() {
            return this.signEvents.filter(event => !event.on_blockchain).length
        },
        hasUnverifiedSigner() {
            return this.signEvents.filter(event => !event.issuer.verified).length > 0
        },
        hasVerifiedSigner() {
            return this.signEvents.filter(event => !!event.issuer.verified).length > 0
        },
        signatureType() {
            if (this.signEvents.length === 0) {
                return null
            }
            if (!this.signEvents[0].signature) {
                return null
            }

            const event = this.signEvents[0];
            const level = event.signature.level;
            const signatureType = {
                level,
                title: this._$t(`verification.result.signature.level.${level}.title`),
                description: this._$t(`verification.result.signature.level.${level}.description`)
            };

            if (event.signature.jurisdiction) {
                signatureType.jurisdiction = event.signature.jurisdiction;
            }

            return signatureType
        },
        initiator() {
            if (this.registerEvents.length > 0) {
                return this.registerEvents[0]
            }

            return null
        }
    },
    methods: {
        toggleHelp(type) {
            this.$emit('toggle-help', type);
        }
    }
};

/* script */
const __vue_script__$5 = script$5;

/* template */
var __vue_render__$5 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{scopedSlots:_vm._u([(_vm.verificationItem.name)?{key:"header",fn:function(){return [_c('div',{staticClass:"icon"},[_c('MDIcon',{staticClass:"icon-verified",attrs:{"icon":_vm.mdiFileDocument}})],1),_vm._v(" "),_c('div',{staticClass:"title"},[_c('div',{staticClass:"filename"},[_vm._v(_vm._s(_vm.verificationItem.name))])])]},proxy:true}:null,(_vm.showExpertInfo)?{key:"body",fn:function(){return [_c('div',{staticClass:"verification-info expert"},[(_vm.verificationItem.hash)?_c('div',{staticClass:"section document-hash"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.documentHash')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.verificationItem.hash))])])]):_vm._e(),_vm._v(" "),(_vm.signEvents.length > 0 && _vm.signEvents[0].on_blockchain)?_c('div',{staticClass:"section smart-contract-address"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.smartContractAddress')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('a',{attrs:{"href":("https://" + _vm.net + "/address/" + (_vm.signEvents[0].on_blockchain.contract_address)),"target":"_blank"}},[_vm._v(_vm._s(_vm.signEvents[0].on_blockchain.contract_address))])])]):_vm._e(),_vm._v(" "),(_vm.registerEvents.length > 0 && _vm.registerEvents[0].issuer.id)?_c('div',{staticClass:"section issuer-address"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.issuerAddress')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('span',[_vm._v(_vm._s(_vm.registerEvents[0].issuer.id))])])]):_vm._e(),_vm._v(" "),(_vm.registerEvents.length > 0 && _vm.registerEvents[0].on_blockchain)?_c('div',{staticClass:"section registration-hash"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.registrationTransaction')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('a',{attrs:{"href":("https://" + _vm.net + "/tx/" + (_vm.registerEvents[0].on_blockchain.tx_hash)),"target":"_blank"}},[_vm._v(_vm._s(_vm.registerEvents[0].on_blockchain.tx_hash))])])]):_vm._e(),_vm._v(" "),(_vm.signEvents.length > 0)?_c('div',{staticClass:"section signature-hashes"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.signatureTransactions')))]),_vm._v(" "),_c('div',{staticClass:"value"},_vm._l((_vm.signEvents),function(signEvent,index){return _c('div',{key:index,staticClass:"signature-hash"},[_c('span',[_vm._v(_vm._s(_vm.issuerDisplayName(signEvent)))]),_vm._v(" "),(signEvent.on_blockchain)?_c('a',{attrs:{"href":("https://" + _vm.net + "/tx/" + (signEvent.on_blockchain.tx_hash)),"target":"_blank"}},[_vm._v(_vm._s(signEvent.on_blockchain.tx_hash))]):_vm._e()])}),0)]):_vm._e(),_vm._v(" "),(_vm.revokeEvents.length > 0 && _vm.revokeEvents[0].on_blockchain)?_c('div',{staticClass:"section revocation-hash"},[_c('div',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.revocationTransaction')))]),_vm._v(" "),_c('div',{staticClass:"value"},[_c('a',{attrs:{"href":("https://" + _vm.net + "/tx/" + (_vm.revokeEvents[0].on_blockchain.tx_hash)),"target":"_blank"}},[_vm._v(_vm._s(_vm.revokeEvents[0].on_blockchain.tx_hash))])])]):_vm._e()])]},proxy:true}:{key:"body",fn:function(){return [_c('ResultDetail',{attrs:{"verification-mode":"signing","document-revoked":_vm.revokeEvents.length > 0,"document-revocation-in-progress":_vm.revocationInProgress,"document-revocation-date":_vm.revocationDate,"signatures-in-progress":_vm.signaturesInProgress,"has-unverified-signer":_vm.hasUnverifiedSigner,"has-verified-signer":_vm.hasVerifiedSigner,"signer-count":_vm.signEvents.length}}),_vm._v(" "),_c('div',{staticClass:"verification-info"},[(_vm.signEvents.length > 0)?_c('div',{staticClass:"section signatures"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$tc('verification.result.meta.signature', _vm.signEvents.length)))]),_vm._v(" "),_c('div',{staticClass:"signature-list"},_vm._l((_vm.signEvents),function(signEvent,index){return _c('DataPanel',{key:index,attrs:{"icon-src":_vm.iconSignature,"title":_vm.issuerDisplayName(signEvent)}},[_c('EventDetails',{attrs:{"event":signEvent}})],1)}),1)]):_vm._e(),_vm._v(" "),(_vm.signatureType)?_c('div',{staticClass:"section signature-type"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.signatureType')))]),_vm._v(" "),_c('DataPanel',{attrs:{"icon-src":_vm.iconFingerprint,"title":_vm.signatureType.title}},[_c('p',{domProps:{"innerHTML":_vm._s(_vm.signatureType.description)}})])],1):_vm._e(),_vm._v(" "),(_vm.initiator)?_c('div',{staticClass:"section initiator"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.result.meta.initiator')))]),_vm._v(" "),_c('DataPanel',{attrs:{"icon-src":_vm.iconUser,"title":_vm.issuerDisplayName(_vm.initiator)}},[_c('EventDetails',{attrs:{"event":_vm.initiator}})],1)],1):_vm._e()])]},proxy:true},{key:"footer",fn:function(){return [_c('div',{staticClass:"left"},[(_vm.showExpertInfo)?_c('button',{staticClass:"btn btn-secondary",on:{"click":function($event){_vm.showExpertInfo = !_vm.showExpertInfo;}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.back')))])]):_vm._e()]),_vm._v(" "),_c('div',{staticClass:"right"},[_c('button',{staticClass:"btn btn-secondary",on:{"click":function($event){return _vm.toggleHelp('support')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.support')))])]),_vm._v(" "),(!_vm.showExpertInfo)?_c('button',{staticClass:"btn btn-secondary",on:{"click":function($event){_vm.showExpertInfo = !_vm.showExpertInfo;}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.card.btn.expertInfo')))])]):_vm._e()])]},proxy:true}],null,true)})};
var __vue_staticRenderFns__$5 = [];

  /* style */
  const __vue_inject_styles__$5 = undefined;
  /* scoped */
  const __vue_scope_id__$5 = undefined;
  /* module identifier */
  const __vue_module_identifier__$5 = undefined;
  /* functional template */
  const __vue_is_functional_template__$5 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$5 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$5, staticRenderFns: __vue_staticRenderFns__$5 },
    __vue_inject_styles__$5,
    __vue_script__$5,
    __vue_scope_id__$5,
    __vue_is_functional_template__$5,
    __vue_module_identifier__$5,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$4 = {
    name: 'FileConfirmationCard',
    mixins: [i18nWrapperMixin],
    components: {
        MDIcon: __vue_component__$j,
        BaseCard: __vue_component__$e
    },
    props: {
        fileName: {
            type: String,
            required: true
        }
    },
    data() {
        return {
            mdiCheckCircle: js.mdiCheckCircle,
            mdiCloseCircle: js.mdiCloseCircle
        }
    },
    methods: {
        approveOrDecline(approved) {
            this.$emit('approve-or-decline', approved);
        }
    }
};

/* script */
const __vue_script__$4 = script$4;

/* template */
var __vue_render__$4 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"file-confirmation-card",scopedSlots:_vm._u([{key:"body",fn:function(){return [_c('div',{staticClass:"action-box confirmation mobile"},[_c('div',{staticClass:"text"},[_c('h4',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.title.mobile')))]),_vm._v(" "),_c('p',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.copy.mobile')))])]),_vm._v(" "),_c('div',{staticClass:"actions"},[_c('div',{staticClass:"confirmation-action approve",on:{"click":function($event){return _vm.approveOrDecline(true)}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiCheckCircle}})],1),_vm._v(" "),_c('div',{staticClass:"confirmation-action decline",on:{"click":function($event){return _vm.approveOrDecline(false)}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiCloseCircle}})],1)])]),_vm._v(" "),_c('div',{staticClass:"action-box confirmation desktop"},[_c('div',{staticClass:"text"},[_c('h4',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.title.desktop')))]),_vm._v(" "),_c('p',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.copy.desktop')))])]),_vm._v(" "),_c('div',{staticClass:"actions"},[_c('button',{staticClass:"btn btn-secondary decline",on:{"click":function($event){return _vm.approveOrDecline(false)}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiCloseCircle}}),_vm._v("\n                    "+_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.btn.decline'))+"\n                ")],1),_vm._v(" "),_c('button',{staticClass:"btn btn-secondary approve",on:{"click":function($event){return _vm.approveOrDecline(true)}}},[_c('MDIcon',{attrs:{"icon":_vm.mdiCheckCircle}}),_vm._v("\n                    "+_vm._s(_vm._$t('verification.digitalTwin.actionBox.confirmation.btn.approve'))+"\n                ")],1)])])]},proxy:true}])})};
var __vue_staticRenderFns__$4 = [];

  /* style */
  const __vue_inject_styles__$4 = undefined;
  /* scoped */
  const __vue_scope_id__$4 = undefined;
  /* module identifier */
  const __vue_module_identifier__$4 = undefined;
  /* functional template */
  const __vue_is_functional_template__$4 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$4 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$4, staticRenderFns: __vue_staticRenderFns__$4 },
    __vue_inject_styles__$4,
    __vue_script__$4,
    __vue_scope_id__$4,
    __vue_is_functional_template__$4,
    __vue_module_identifier__$4,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$3 = {
    name: 'FileDeclinedCard',
    mixins: [i18nWrapperMixin],
    components: {
        BaseCard: __vue_component__$e
    },
    props: {
        fileName: {
            type: String,
            required: true
        }
    },
    methods: {
        toggleHelp(type) {
            this.$emit('toggle-help', type);
        }
    }
};

/* script */
const __vue_script__$3 = script$3;

/* template */
var __vue_render__$3 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"file-declined-card",scopedSlots:_vm._u([{key:"body",fn:function(){return [_c('h3',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.fileDeclined.title')))]),_vm._v(" "),_c('p',{domProps:{"innerHTML":_vm._s(_vm._$t('verification.digitalTwin.fileDeclined.copy'))}}),_vm._v(" "),_c('button',{staticClass:"btn btn-primary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.error.btn.contactSupport')))])])]},proxy:true}])})};
var __vue_staticRenderFns__$3 = [];

  /* style */
  const __vue_inject_styles__$3 = undefined;
  /* scoped */
  const __vue_scope_id__$3 = undefined;
  /* module identifier */
  const __vue_module_identifier__$3 = undefined;
  /* functional template */
  const __vue_is_functional_template__$3 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$3 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$3, staticRenderFns: __vue_staticRenderFns__$3 },
    __vue_inject_styles__$3,
    __vue_script__$3,
    __vue_scope_id__$3,
    __vue_is_functional_template__$3,
    __vue_module_identifier__$3,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$2 = {
    name: 'FileErrorCard',
    mixins: [i18nWrapperMixin],
    components: {
        BaseCard: __vue_component__$e
    },
    methods: {
        toggleHelp(type) {
            this.$emit('toggle-help', type);
        }
    }
};

var img$1 = "data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='142' height='168' viewBox='0 0 142 168' fill='none' xmlns:v='https://vecta.io/nano'%3e%3cg filter='url(%23A)'%3e%3cpath transform='translate(12 10)' fill='white' d='M0 0h100v138H0z'/%3e%3cpath fill-rule='evenodd' d='M23.25 22.545c-.69 0-1.25.562-1.25 1.255s.56 1.255 1.25 1.255H52c.69 0 1.25-.562 1.25-1.255s-.56-1.255-1.25-1.255H23.25zm0 7.527c-.69 0-1.25.562-1.25 1.255s.56 1.255 1.25 1.255H52c.69 0 1.25-.562 1.25-1.255s-.56-1.255-1.25-1.255H23.25zM22 51.4c0-.693.56-1.255 1.25-1.255h77.5c.69 0 1.25.562 1.25 1.255s-.56 1.255-1.25 1.255h-77.5c-.69 0-1.25-.562-1.25-1.255zm1.25 6.273c-.69 0-1.25.562-1.25 1.255s.56 1.255 1.25 1.255h77.5c.69 0 1.25-.562 1.25-1.255s-.56-1.255-1.25-1.255h-77.5zM22 66.455c0-.693.56-1.254 1.25-1.254h77.5c.69 0 1.25.562 1.25 1.254s-.56 1.255-1.25 1.255h-77.5c-.69 0-1.25-.562-1.25-1.255zm1.25 6.273c-.69 0-1.25.562-1.25 1.255s.56 1.254 1.25 1.254h77.5c.69 0 1.25-.562 1.25-1.254s-.56-1.255-1.25-1.255h-77.5zM22 81.509c0-.693.56-1.255 1.25-1.255h77.5c.69 0 1.25.562 1.25 1.255s-.56 1.255-1.25 1.255h-77.5c-.69 0-1.25-.562-1.25-1.255zm1.25 6.273c-.69 0-1.25.562-1.25 1.254s.56 1.255 1.25 1.255h35c.69 0 1.25-.562 1.25-1.255s-.56-1.254-1.25-1.254h-35zM22 136.709a1.25 1.25 0 0 1 1.25-1.254H52a1.25 1.25 0 0 1 1.25 1.254c0 .693-.56 1.255-1.25 1.255H23.25c-.69 0-1.25-.562-1.25-1.255zm50.625-1.254a1.25 1.25 0 0 0-1.25 1.254c0 .693.56 1.255 1.25 1.255h28.125c.69 0 1.25-.562 1.25-1.255s-.56-1.254-1.25-1.254H72.625z' fill='%2314213d' fill-opacity='.5'/%3e%3c/g%3e%3cpath fill-rule='evenodd' d='M92 138c0-11.046 8.954-20 20-20 11.04.013 19.987 8.96 20 20 0 11.046-8.954 20-20 20s-20-8.954-20-20zm29.604 8.414c.153-.583-.021-1.202-.454-1.621l-6.5-6.498c-.078-.078-.122-.184-.122-.294s.044-.216.122-.294l6.5-6.5c.45-.414.638-1.042.488-1.635a1.67 1.67 0 0 0-1.206-1.208c-.593-.15-1.221.036-1.635.486l-6.5 6.5a.42.42 0 0 1-.295.122c-.111 0-.217-.044-.295-.122l-6.5-6.5a1.67 1.67 0 0 0-2.358-.003c-.652.651-.653 1.706-.002 2.358l6.5 6.5c.078.078.122.184.122.294s-.044.216-.122.294l-6.5 6.5c-.651.651-.651 1.706 0 2.357.655.64 1.701.64 2.356 0l6.5-6.5a.42.42 0 0 1 .59 0l6.5 6.5c.419.433 1.038.607 1.621.454s1.038-.607 1.19-1.19z' fill='%23ee4266'/%3e%3cdefs%3e%3cfilter id='A' x='0' y='0' width='124' height='162' filterUnits='userSpaceOnUse' color-interpolation-filters='sRGB'%3e%3cfeFlood flood-opacity='0' result='A'/%3e%3cfeColorMatrix in='SourceAlpha' values='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0'/%3e%3cfeOffset dy='1'/%3e%3cfeGaussianBlur stdDeviation='2'/%3e%3cfeColorMatrix values='0 0 0 0 0.12549 0 0 0 0 0.2 0 0 0 0 0.27451 0 0 0 0.04 0'/%3e%3cfeBlend in2='A' result='B'/%3e%3cfeColorMatrix in='SourceAlpha' values='0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0'/%3e%3cfeOffset dy='2'/%3e%3cfeGaussianBlur stdDeviation='6'/%3e%3cfeColorMatrix values='0 0 0 0 0.12549 0 0 0 0 0.2 0 0 0 0 0.27451 0 0 0 0.09 0'/%3e%3cfeBlend in2='B'/%3e%3cfeBlend in='SourceGraphic'/%3e%3c/filter%3e%3c/defs%3e%3c/svg%3e";

/* script */
const __vue_script__$2 = script$2;
var __vue_render__$2 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('BaseCard',{staticClass:"file-error-card",scopedSlots:_vm._u([{key:"body",fn:function(){return [_c('img',{attrs:{"src":img$1,"alt":"DigitalTwin Error"}}),_vm._v(" "),_c('div',{staticClass:"error-message"},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.error.decryption')))])]),_vm._v(" "),_c('button',{staticClass:"btn btn-primary",on:{"click":function($event){return _vm.toggleHelp('contact')}}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.error.btn.contactSupport')))])])]},proxy:true}])})};
var __vue_staticRenderFns__$2 = [];

  /* style */
  const __vue_inject_styles__$2 = undefined;
  /* scoped */
  const __vue_scope_id__$2 = undefined;
  /* module identifier */
  const __vue_module_identifier__$2 = undefined;
  /* functional template */
  const __vue_is_functional_template__$2 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$2 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$2, staticRenderFns: __vue_staticRenderFns__$2 },
    __vue_inject_styles__$2,
    __vue_script__$2,
    __vue_scope_id__$2,
    __vue_is_functional_template__$2,
    __vue_module_identifier__$2,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$1 = {
    name: 'VerificationItem',
    mixins: [
        i18nWrapperMixin
    ],
    components: {
        ShadowCard: __vue_component__$f,
        NotFoundCard: __vue_component__$c,
        TechnicalProblemCard: __vue_component__$b,
        SupportCard: __vue_component__$a,
        ContactCard: __vue_component__$9,
        CertifyingCard: __vue_component__$6,
        SigningCard: __vue_component__$5,
        FileConfirmationCard: __vue_component__$4,
        FileDeclinedCard: __vue_component__$3,
        FileErrorCard: __vue_component__$2,
        PDFViewer: PDFViewer__default['default']
    },
    props: {
        verificationItem: {
            type: Object,
            required: true
        },
        verifierInformation: {
            type: Object,
            required: true
        },
        digitalTwinInformation: {
            type: Object,
            required: false
        }
    },
    provide: {
        isBeforeDetailedVerifiedMigration(event) {
            const eventDate = new Date(event.date);
            if (!(eventDate instanceof Date) || isNaN(eventDate)) {
                return false
            }
            const migrationDate = new Date('2021-04-22');
            return (eventDate < migrationDate)
        },
        issuerDisplayName(event) {
            if (event.issuer.name && this.isBeforeDetailedVerifiedMigration(event)) {
                return event.issuer.name
            }

            if (event.issuer.name_verified === true) {
                return event.issuer.name
            }
            if (event.issuer.email_verified === true) {
                return event.issuer.email
            }
            if (event.issuer.email) {
                return event.issuer.email
            }
            return event.issuer.name
        }
    },
    inject: ['pdfjsWorkerSrc', 'pdfjsCMapUrl'],
    data() {
        return {
            showSupport: false,
            showContact: false,
            confirmationStep: true,
            digitalTwin: {
                confirmationStep: true,
                fileApproved: false
            }
        }
    },
    computed: {
        isLoading() {
            return !this.verificationItem.hashed
        },
        isTechnicalProblem() {
            if (this.isLoading) {
                return false
            }

            if (!this.verificationItem.events || (this.verificationItem.events && this.verificationItem.events.length === 0)) {
                return (this.verificationItem.offchainError || this.verificationItem.error)
            } else {
                return (this.verificationItem.offchainError && this.verificationItem.error)
            }
        },
        isNotFound() {
            return (
                !this.isLoading &&
                !this.isTechnicalProblem &&
                (!this.verificationItem.events || (this.verificationItem.events && this.verificationItem.events.length === 0))
            )
        },
        isSigning() {
            return (this.verificationItem.events && this.verificationItem.events.filter(event => event.scope === 'sign').length > 0)
        },
        digitalTwinDownloadFileName() {
            if (!this.digitalTwinInformation.active) {
                return null
            }

            const shortHash = this.verificationItem.hash.substr(2, 8);

            return `digital_twin_${shortHash}.pdf`
        }
    },
    methods: {
        toggleHelp(type) {
            switch (type) {
                case 'support':
                    this.showContact = false;
                    this.showSupport = !this.showSupport;
                    break
                case 'contact':
                    this.showSupport = false;
                    this.showContact = !this.showContact;
            }
        },
        digitalTwinApproveOrDecline(approved) {
            this.digitalTwin.confirmationStep = false;
            this.digitalTwin.fileApproved = approved;
        },
        digitalTwinRecheck() {
            this.digitalTwin.confirmationStep = true;
            this.digitalTwin.fileApproved = false;
            this.showSupport = false;
            this.showContact = false;
        }
    }
};

var img = "data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='632.421' height='103.961' viewBox='0 0 632.421 103.961' fill='%23203346'%3e%3cpath d='M0 21.02L21.02.167 42.04 21.02 21.02 41.87zm83.226 0L104.245.167l21.02 20.852-21.02 20.852z'/%3e%3cpath d='M20.805 41.66l21.02-20.852 21.02 20.852-21.02 20.852z'/%3e%3cpath d='M62.42 41.66l21.02-20.852 21.02 20.852L83.44 62.5zM0 62.3l21.02-20.85L42.038 62.3 21.02 83.153z'/%3e%3cpath d='M20.805 82.943h42.038l-21.02 20.852z'/%3e%3cpath d='M62.632 82.733l21.02 20.852z'/%3e%3cpath d='M20.805 82.943l21.02-20.852 21.02 20.852z' opacity='.5'/%3e%3cpath d='M62.42 82.943L83.44 62.09l21.02 20.852z' opacity='.5'/%3e%3cpath d='M62.42 82.943h42.038l-21.02 20.852z'/%3e%3cpath d='M83.226 62.3l21.02-20.852 21.02 20.852-21.02 20.852zM212.98 76.812c-1.314 4.777-4.3 8.918-8.435 11.66a26 26 0 0 1-14.494 3.937 27.67 27.67 0 0 1-13.839-3.33 22.25 22.25 0 0 1-9.048-9.545 32.22 32.22 0 0 1-3.154-14.747 32.22 32.22 0 0 1 3.153-14.745c1.98-4.012 5.117-7.338 9.008-9.545a27.26 27.26 0 0 1 13.716-3.332c4.992-.158 9.933 1.05 14.3 3.493 3.903 2.327 6.783 6.04 8.066 10.4l-10.235 4.306q-1.3-4.793-4.094-6.906a12.18 12.18 0 0 0-7.534-2.112q-6.88 0-10.766 4.793-3.887 4.793-3.893 13.648 0 8.855 3.767 13.648 3.767 4.793 10.644 4.794 9.907 0 12.447-9.5zm46.76-5.7a28.6 28.6 0 0 1-.328 4.387h-28.988q1.718 8.613 10.236 8.613a11.66 11.66 0 0 0 5.814-1.3 6.95 6.95 0 0 0 3.194-3.737l9.172 3.33c-1.248 3.18-3.584 5.814-6.592 7.433a23.73 23.73 0 0 1-11.587 2.557q-10.154 0-15.723-5.567-5.57-5.567-5.57-15.55 0-9.992 5.4-15.557 5.4-5.565 15.233-5.568 9.5 0 14.617 5.443 5.117 5.443 5.12 15.516zm-19.817-12.75c-2.4-.123-4.745.727-6.5 2.356-1.773 1.923-2.853 4.382-3.07 6.988h19.08a11.72 11.72 0 0 0-3.112-6.944 8.76 8.76 0 0 0-6.387-2.4zm52.4-8.206c1.526-.084 3.048.224 4.422.893l-1.392 9.747c-1.568-.9-3.358-1.314-5.16-1.218a9.49 9.49 0 0 0-6.92 2.884q-2.907 2.884-2.907 8.083v21.043h-11.22v-40.62h9.745l.74 7.96q3.354-8.773 12.7-8.773zm37.915 38.915a14.81 14.81 0 0 1-4.954 2.437c-2.034.6-4.144.902-6.265.893q-13.674 0-13.674-12.267v-20.88H297.9v-8.287h7.454v-9.342l11.22-3.087v12.43h13.266v8.287h-13.267v19.1q0 5.605 5.65 5.605c2.306.033 4.546-.775 6.3-2.273zm12.693-43.958q-6.96 0-6.96-5.93 0-6.012 6.96-6.012 6.96 0 6.96 6.012 0 5.93-6.96 5.93zm5.57 46.47H337.3v-40.62h11.22zm25.55-40.62H387v8.287h-12.45v32.333h-11.218V59.265h-7.124v-8.287h7.124v-4.874q0-6.662 4.176-10.2 4.176-3.538 11.3-3.534c1.668-.016 3.332.175 4.954.568a10.1 10.1 0 0 1 3.562 1.544l-1.556 7.393a8.42 8.42 0 0 0-4.668-1.218q-7.044 0-7.044 6.256zm55.52 33.877a9.79 9.79 0 0 0 2.784-.325l-.82 6.746a11.82 11.82 0 0 1-5.326 1.136q-7.858 0-9.414-6.094a11.16 11.16 0 0 1-5.566 4.553c-2.847 1.1-5.88 1.614-8.928 1.544q-5.978 0-9.334-2.68a9.3 9.3 0 0 1-3.357-7.718q0-9.912 15.97-12.836l9.827-1.868v-1.954c.1-1.897-.564-3.754-1.842-5.16a6.78 6.78 0 0 0-5.118-1.91c-2.165-.095-4.307.472-6.142 1.625-1.715 1.287-2.885 3.172-3.276 5.28l-8.93-3.737a13.47 13.47 0 0 1 5.9-8.287q4.586-3.006 11.956-3.006 8.762 0 13.676 3.778 4.914 3.778 4.913 11.17v16.656c-.078.852.188 1.7.737 2.356.637.537 1.462.8 2.292.73zm-23.748 0a12.83 12.83 0 0 0 6.592-1.747 5.32 5.32 0 0 0 2.99-4.752v-4.224l-8.762 1.95a10.35 10.35 0 0 0-4.135 1.747 3.7 3.7 0 0 0-1.35 3.047c-.074 1.126.38 2.222 1.228 2.965a5.21 5.21 0 0 0 3.44 1.015zm51.918-34.7q8.107 0 12.6 3.25c2.97 2.12 5.135 5.184 6.142 8.692l-10.48 3.737q-1.474-7.393-7.943-7.393a8.86 8.86 0 0 0-7.411 3.29q-2.58 3.3-2.577 9.623.002 6.333 2.62 9.545a8.9 8.9 0 0 0 7.288 3.22q7.206 0 8.517-7.23l10.154 3.25a14.6 14.6 0 0 1-6.106 8.938q-4.8 3.33-12.407 3.33-10.154 0-15.723-5.567-5.57-5.567-5.57-15.554 0-9.992 5.527-15.557 5.527-5.565 15.357-5.563zm55.93 38.915a14.81 14.81 0 0 1-4.949 2.446 21.81 21.81 0 0 1-6.264.893q-13.676 0-13.676-12.267v-20.88h-7.46V50.98h7.452v-9.34l11.22-3.087v12.43h13.266v8.287h-13.264v19.1q0 5.605 5.65 5.605c2.306.033 4.546-.775 6.3-2.273zm12.693-43.954q-6.96 0-6.96-5.928 0-6.012 6.96-6.012 6.96 0 6.96 6.012 0 5.93-6.963 5.93zm5.568 46.47h-11.22V50.96h11.22zm30.708-41.42q9.907 0 15.437 5.605 5.53 5.605 5.528 15.517 0 9.912-5.528 15.517-5.528 5.605-15.437 5.605-9.907 0-15.436-5.605-5.53-5.605-5.523-15.517 0-9.912 5.528-15.517 5.528-5.605 15.43-5.605zm0 8.287a8.63 8.63 0 0 0-7.247 3.208q-2.5 3.208-2.5 9.623 0 6.415 2.5 9.623a8.64 8.64 0 0 0 7.245 3.209 8.63 8.63 0 0 0 7.248-3.209q2.5-3.2 2.5-9.623 0-6.414-2.5-9.623a8.64 8.64 0 0 0-7.246-3.204zm55.032-8.287q6.633 0 10.686 3.818 4.053 3.818 4.054 10.964v26.65h-11.22v-23.4q0-9.26-7.288-9.26a9.05 9.05 0 0 0-6.674 2.762q-2.743 2.762-2.743 8.45V91.59h-11.22V50.97h10.072l.328 7.23c1.24-2.523 3.2-4.617 5.65-6.012a16.72 16.72 0 0 1 8.353-2.031zM62.625 82.736l20.975 20.8H41.65z'/%3e%3c/svg%3e";

/* script */
const __vue_script__$1 = script$1;
var __vue_render__$1 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"item-container",class:{ 'confirmation-step': _vm.digitalTwin.confirmationStep, 'error': _vm.digitalTwinInformation.error }},[_c('div',{staticClass:"card-container"},[(_vm.digitalTwinInformation.active)?_c('div',{staticClass:"header"},[_c('img',{attrs:{"src":img,"alt":"Certifaction"}})]):_vm._e(),_vm._v(" "),(_vm.isLoading)?_c('ShadowCard'):(_vm.showSupport)?_c('SupportCard',{on:{"toggle-help":_vm.toggleHelp}}):(_vm.showContact)?_c('ContactCard',{attrs:{"certifaction-api-url":_vm.verifierInformation.certifactionApiUrl},on:{"toggle-help":_vm.toggleHelp}}):(_vm.isTechnicalProblem)?_c('TechnicalProblemCard',{attrs:{"verification-item":_vm.verificationItem},on:{"toggle-help":_vm.toggleHelp}}):(_vm.isNotFound)?_c('NotFoundCard',{attrs:{"verification-item":_vm.verificationItem},on:{"toggle-help":_vm.toggleHelp}}):[(_vm.digitalTwinInformation.error)?_c('FileErrorCard',{on:{"toggle-help":_vm.toggleHelp}}):(_vm.digitalTwinInformation.active && _vm.digitalTwin.confirmationStep)?_c('FileConfirmationCard',{attrs:{"file-name":_vm.verificationItem.name},on:{"approve-or-decline":_vm.digitalTwinApproveOrDecline}}):[(_vm.digitalTwinInformation.active && !_vm.digitalTwin.fileApproved)?_c('FileDeclinedCard',{attrs:{"file-name":_vm.verificationItem.name},on:{"toggle-help":_vm.toggleHelp}}):(_vm.isSigning)?_c('SigningCard',{attrs:{"verification-item":_vm.verificationItem,"net":_vm.verifierInformation.net},on:{"toggle-help":_vm.toggleHelp}}):_c('CertifyingCard',{attrs:{"verification-item":_vm.verificationItem,"net":_vm.verifierInformation.net},on:{"toggle-help":_vm.toggleHelp}})]],_vm._v(" "),(_vm.digitalTwinInformation.active && !_vm.digitalTwin.confirmationStep)?_c('div',{staticClass:"action-box"},[_c('div',{staticClass:"actions navigate"},[_c('button',{staticClass:"btn btn-secondary",on:{"click":_vm.digitalTwinRecheck}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.actionBox.actions.recheck')))])]),_vm._v(" "),_c('a',{staticClass:"btn btn-primary",attrs:{"href":_vm.digitalTwinInformation.fileUrl,"download":_vm.digitalTwinDownloadFileName}},[_c('span',[_vm._v(_vm._s(_vm._$t('verification.digitalTwin.actionBox.actions.download')))])])])]):_vm._e()],2),_vm._v(" "),(_vm.digitalTwinInformation.active && !_vm.digitalTwinInformation.error && !_vm.isLoading)?_c('PDFViewer',{attrs:{"url":_vm.digitalTwinInformation.fileUrl,"pdfjs-worker-src":_vm.pdfjsWorkerSrc,"pdfjs-c-map-url":_vm.pdfjsCMapUrl}}):_vm._e()],1)};
var __vue_staticRenderFns__$1 = [];

  /* style */
  const __vue_inject_styles__$1 = undefined;
  /* scoped */
  const __vue_scope_id__$1 = undefined;
  /* module identifier */
  const __vue_module_identifier__$1 = undefined;
  /* functional template */
  const __vue_is_functional_template__$1 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$1 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$1, staticRenderFns: __vue_staticRenderFns__$1 },
    __vue_inject_styles__$1,
    __vue_script__$1,
    __vue_scope_id__$1,
    __vue_is_functional_template__$1,
    __vue_module_identifier__$1,
    false,
    undefined,
    undefined,
    undefined
  );

var demoDocuments = {
  notFound: {
    name: 'Demo_Document_NotFound.pdf',
    hash: '0x8db3dfe7de59e35f5f8be5fde6da543b57ccc017388def7c0a1db7af24db4abf',
    issuerAddress: null,
    issuerName: null,
    issuerImg: null,
    issuerVerified: false,
    revoked: false,
    expiry: null,
    loaded: true
  },
  technicalProblem: {
    name: 'Demo_Document_TechnicalProblem.pdf',
    hash: '0x8db3dfe7de59e35f5f8be5fde6da543b57ccc017388def7c0a1db7af24db4abf',
    issuerAddress: null,
    issuerName: null,
    issuerImg: null,
    issuerVerified: false,
    revoked: false,
    expiry: null,
    loaded: true,
    offchainError: true
  },
  verifiedProcessing: {
    hashed: true,
    name: 'Demo_Document_Verified_Processing.pdf',
    hash: '0x33e63485a8594ee7d1cfbb418a6f5acf7532faca38aa8a36b23eec8f6a53d179',
    on_blockchain: false,
    issuerAddress: undefined,
    issuerName: 'Demo University',
    issuerImg: null,
    issuerVerified: true,
    revoked: false,
    expiry: undefined,
    status: 'registering',
    loaded: true
  },
  verified: {
    hashed: true,
    name: 'Demo_Document_Verified.pdf',
    hash: '0x33e63485a8594ee7d1cfbb418a6f5acf7532faca38aa8a36b23eec8f6a53d179',
    on_blockchain: true,
    issuerAddress: '0xD0f6C73Bf87d1A00797A8A1DF2dF0Dad89D2411f',
    issuerName: 'Demo University',
    issuerImg: null,
    issuerVerified: true,
    revoked: false,
    expiry: null,
    registrationEvent: {
      address: '0x5ee4ec3cbee909050e68c7ff7a8b422cfbd72244',
      blockHash: '0xa95f5fce5e6ebfcbdb8bbd932e412fd376dc8b7189b8d8572fe9d4d8994961de',
      blockNumber: 7937331,
      transactionHash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215 ',
      event: 'FileRegisteredEvent',
      signature: '0x98b03391b6b42a1d067881e3d2a22b2091e0412a0e2c40cf687d1c036beb6e11'
    },
    registrationBlock: {
      hash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      timestamp: 1560246087
    },
    loaded: true
  },
  verifiedSelfDeclared: {
    hashed: true,
    name: 'Demo_Document_Verified_Self_Declared.pdf',
    hash: '0x33e63485a8594ee7d1cfbb418a6f5acf7532faca38aa8a36b23eec8f6a53d179',
    on_blockchain: true,
    issuerAddress: '0xD0f6C73Bf87d1A00797A8A1DF2dF0Dad89D2411f',
    issuerName: 'Demo University',
    issuerImg: null,
    issuerVerified: false,
    revoked: false,
    expiry: null,
    registrationEvent: {
      address: '0x5ee4ec3cbee909050e68c7ff7a8b422cfbd72244',
      blockHash: '0xa95f5fce5e6ebfcbdb8bbd932e412fd376dc8b7189b8d8572fe9d4d8994961de',
      blockNumber: 7937331,
      transactionHash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215 ',
      event: 'FileRegisteredEvent',
      signature: '0x98b03391b6b42a1d067881e3d2a22b2091e0412a0e2c40cf687d1c036beb6e11'
    },
    registrationBlock: {
      hash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      timestamp: 1560246087
    },
    loaded: true
  },
  revokedVerified: {
    hashed: true,
    name: 'Demo_Document_RevokedVerified.pdf',
    hash: '0x33e63485a8594ee7d1cfbb418a6f5acf7532faca38aa8a36b23eec8f6a53d179',
    on_blockchain: true,
    issuerAddress: '0xD0f6C73Bf87d1A00797A8A1DF2dF0Dad89D2411f',
    issuerName: 'Demo University',
    issuerImg: null,
    issuerVerified: true,
    revoked: true,
    expiry: null,
    registrationEvent: {
      address: '0x5ee4ec3cbee909050e68c7ff7a8b422cfbd72244',
      blockHash: '0xa95f5fce5e6ebfcbdb8bbd932e412fd376dc8b7189b8d8572fe9d4d8994961de',
      blockNumber: 7937331,
      transactionHash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      event: 'FileRegisteredEvent',
      signature: '0x98b03391b6b42a1d067881e3d2a22b2091e0412a0e2c40cf687d1c036beb6e11'
    },
    registrationBlock: {
      hash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      timestamp: 1560246087
    },
    revocationEvent: {
      address: '0x5ee4ec3cbee909050e68c7ff7a8b422cfbd72244',
      blockHash: '0xa95f5fce5e6ebfcbdb8bbd932e412fd376dc8b7189b8d8572fe9d4d8994961de',
      blockNumber: 7937331,
      transactionHash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      event: 'FileRegisteredEvent',
      signature: '0x98b03391b6b42a1d067881e3d2a22b2091e0412a0e2c40cf687d1c036beb6e11'
    },
    revocationBlock: {
      hash: '0x9b7e8f75ae271d8d659eb7bbd6d090fad3c784f862a5a83368fbc970bfa0a215',
      timestamp: 1560346087
    },
    loaded: true
  }
};

//

var script = {
    name: 'CertifactionVerification',
    mixins: [
        i18nWrapperMixin
    ],
    components: {
        VerificationDemo: __vue_component__$i,
        VerificationFileSelector: __vue_component__$h,
        VerificationDropBox: __vue_component__$g,
        VerificationItem: __vue_component__$1
    },
    props: {
        demo: {
            type: Boolean,
            required: false,
            default: false
        },
        pdfWasmUrl: {
            type: URL,
            required: true
        },
        pdfjsWorkerSrc: {
            type: String,
            required: true
        },
        pdfjsCMapUrl: {
            type: String,
            required: true
        },
        providerUrl: {
            type: String,
            required: false
        },
        legacyContractAddress: {
            type: String,
            required: false
        },
        legacyContractFallbackAddresses: {
            type: Array,
            required: false
        },
        claimContractAddress: {
            type: String,
            required: false
        },
        acceptedIssuerKey: {
            type: String,
            required: false
        },
        certifactionApiUrl: {
            type: String,
            required: false
        },
        offchainVerifier: {
            type: Object,
            required: false,
            validator(value) {
                verificationCore.Interface.ensureImplements(value, verificationCore.VerifierInterface);
                return true
            }
        }
    },
    provide() {
        return {
            pdfjsWorkerSrc: this.pdfjsWorkerSrc,
            pdfjsCMapUrl: this.pdfjsCMapUrl
        }
    },
    data() {
        return {
            certifactionEthVerifier: new verificationCore.CertifactionEthVerifier(
                this.providerUrl,
                this.legacyContractAddress,
                this.legacyContractFallbackAddresses,
                this.claimContractAddress,
                this.acceptedIssuerKey,
                this.certifactionApiUrl
            ),
            pdfService: new verificationCore.PdfService(this.pdfWasmUrl),
            verificationItems: [],
            draggingDemoDoc: undefined,
            dropbox: {
                draggingOver: false,
                dragLeaveLocked: false
            },
            digitalTwin: {
                error: false,
                fileUrl: null
            }
        }
    },
    computed: {
        filteredVerificationItems() {
            return this.verificationItems.map(item => {
                if (item.hash === undefined && !item.error) {
                    return {
                        hashed: false
                    }
                }
                return {
                    hashed: true,
                    ...item
                }
            })
        },
        verifierInformation() {
            return {
                net: this.certifactionEthVerifier.certifactionEthClient.eth.currentProvider.host.indexOf('ropsten') >= 0 ? 'ropsten.etherscan.io' : 'etherscan.io',
                certifactionApiUrl: this.certifactionApiUrl
            }
        },
        digitalTwinInformation() {
            const searchParams = new URLSearchParams(window.location.search);
            if (searchParams.has('file') && window.location.hash.length > 1) {
                return {
                    fileUrl: searchParams.get('file'),
                    decryptionKey: window.location.hash.split('#')[1]
                }
            }

            return null
        },
        digitalTwinModeActive() {
            return this.digitalTwinInformation !== null
        },
        digitalTwinStatus() {
            return { ...this.digitalTwin, ...{ active: this.digitalTwinModeActive } }
        }
    },
    methods: {
        async verify(files) {
            this.$emit('verificationStart');

            this.verificationItems = [];

            try {
                for (const file of files) {
                    this.verificationItems.push({ file, name: file.name });
                }

                for (const [key, item] of this.verificationItems.entries()) {
                    this.verifyItem(item, key);
                }

                await this.$nextTick();

                VueScrollTo__default['default'].scrollTo(this.$refs.results, 400);
            } catch (e) {
                console.error(`Error while verifying files: ${e.name} - ${e.message}`);
            }

            this.$emit('verificationComplete');
        },
        async verifyItem(item, key) {
            const pdfBytes = await this.pdfService.readPdfBytes(item.file);
            const [fileHash, encryptionKeys] = await Promise.all([
                verificationCore.hashingService.hashFile(pdfBytes),
                this.pdfService.extractEncryptionKeys(pdfBytes)
            ]);
            const decryptionKey = (encryptionKeys !== null) ? encryptionKeys.claimPrivateKey : null;

            let verification = await this.certifactionEthVerifier.verify(fileHash, decryptionKey);

            if (this.offchainVerifier) {
                verification = await this.offchainVerification(verification, decryptionKey);
            }

            const oldResult = JSON.stringify(this.verificationItems[key]);
            const newResult = JSON.stringify({ ...item, ...verification });

            if (oldResult !== newResult) {
                Vue__default['default'].set(this.verificationItems, key, { ...item, ...verification });
                verification.loaded = true;
            }
        },
        async offchainVerification(verification, decryptionKey) {
            // TODO(Cyrill): Simplify offchain verification
            // Make a call to the off-chain validator
            try {
                const offchainVerification = await this.offchainVerifier.verify(verification.hash);

                if (offchainVerification) {
                    if (offchainVerification.encrypted && offchainVerification.claims && offchainVerification.claims.length > 0) {
                        const claimVerification = await this.certifactionEthVerifier.certifactionClaimVerifier.resolveAndVerifyClaims(offchainVerification.claims, decryptionKey);
                        offchainVerification.claims = claimVerification.claims;

                        if (!offchainVerification.revoked) {
                            offchainVerification.revoked = claimVerification.revoked;
                        }
                        if (!offchainVerification.issuerVerified && typeof claimVerification.issuerVerified === 'boolean') {
                            offchainVerification.issuerVerified = claimVerification.issuerVerified;
                        }
                        if (!offchainVerification.issuerAddress && claimVerification.issuerAddress) {
                            offchainVerification.issuerAddress = claimVerification.issuerAddress;
                        }
                        if (!offchainVerification.issuerName && claimVerification.issuerName) {
                            offchainVerification.issuerName = claimVerification.issuerName;
                        }
                        if (!offchainVerification.issuerVerifiedBy && claimVerification.issuerVerifiedBy) {
                            offchainVerification.issuerVerifiedBy = claimVerification.issuerVerifiedBy;
                        }
                        if (!offchainVerification.issuerVerifiedImg && claimVerification.issuerVerifiedImg) {
                            offchainVerification.issuerVerifiedImg = claimVerification.issuerVerifiedImg;
                        }

                        // Merge events from decrypted claims with the events from the verify endpoint
                        offchainVerification.events = claimVerification.events.map(claimEvent => {
                            const offchainEvent = offchainVerification.events.find(offchainEvent => offchainEvent.ref === claimEvent.ref);
                            const newEvent = { ...claimEvent };

                            if (offchainEvent.date) {
                                newEvent.date = offchainEvent.date;
                            }
                            if (offchainEvent.on_blockchain) {
                                newEvent.on_blockchain = offchainEvent.on_blockchain;
                            }

                            return newEvent
                        });
                    }

                    if (verification.events && verification.events.length > 0 && offchainVerification.status !== 'registering') {
                        // If it's already verified on blockchain, do not override all values;
                        // just issuerName & issuer verifier can be taken from off-chain information
                        if (!verification.issuerName && offchainVerification.issuerName) {
                            verification.issuerName = offchainVerification.issuerName;
                        }
                        if (!verification.issuerVerified && typeof offchainVerification.issuerVerified === 'boolean') {
                            verification.issuerVerified = offchainVerification.issuerVerified;
                        }
                        if (!verification.issuerVerifiedBy && offchainVerification.issuerVerifiedBy) {
                            verification.issuerVerifiedBy = offchainVerification.issuerVerifiedBy;
                        }
                        if (!verification.issuerVerifiedImg && offchainVerification.issuerVerifiedImg) {
                            verification.issuerVerifiedImg = offchainVerification.issuerVerifiedImg;
                        }

                        if (typeof offchainVerification.on_blockchain === 'boolean') {
                            verification.on_blockchain = offchainVerification.on_blockchain;
                        }
                        if (typeof offchainVerification.revoked === 'boolean') {
                            verification.revoked = offchainVerification.revoked;
                        }

                        if (offchainVerification.events.length > 0) {
                            const mergedEvents = [];

                            verification.events = verification.events.map(event => {
                                const offchainEvent = offchainVerification.events.find(offchainEvent => offchainEvent.ref === event.ref);

                                if (!offchainEvent) {
                                    return event
                                }

                                const newEvent = { ...event };

                                if (offchainEvent.issuer) {
                                    const issuer = { ...event.issuer };
                                    if (!issuer.id && offchainEvent.issuer.id) {
                                        issuer.id = offchainEvent.issuer.id;
                                    }
                                    if (!issuer.name && offchainEvent.issuer.name) {
                                        issuer.name = offchainEvent.issuer.name;
                                    }
                                    if (!issuer.name_verified && typeof offchainEvent.issuer.name_verified === 'boolean') {
                                        issuer.name_verified = offchainEvent.issuer.name_verified;
                                    }
                                    if (!issuer.email && offchainEvent.issuer.email) {
                                        issuer.email = offchainEvent.issuer.email;
                                    }
                                    if (!issuer.email_verified && typeof offchainEvent.issuer.email_verified === 'boolean') {
                                        issuer.email_verified = offchainEvent.issuer.email_verified;
                                    }

                                    if (offchainEvent.issuer.verified_by) {
                                        const verifiedBy = { ...event.issuer.verified_by };
                                        if (!verifiedBy.name && offchainEvent.issuer.verified_by.name) {
                                            verifiedBy.name = offchainEvent.issuer.verified_by.name;
                                        }
                                        if (!verifiedBy.image && offchainEvent.issuer.verified_by.image) {
                                            verifiedBy.image = offchainEvent.issuer.verified_by.image;
                                        }

                                        issuer.verified = true;
                                        issuer.verified_by = verifiedBy;
                                    }

                                    newEvent.issuer = issuer;
                                }

                                if (offchainEvent.signature) {
                                    const signature = { ...event.signature };
                                    if (!signature.level && offchainEvent.signature.level) {
                                        signature.level = offchainEvent.signature.level;
                                    }
                                    if (!signature.jurisdiction && offchainEvent.signature.jurisdiction) {
                                        signature.jurisdiction = offchainEvent.signature.jurisdiction;
                                    }

                                    newEvent.signature = signature;
                                }

                                mergedEvents.push(offchainEvent.ref);

                                return newEvent
                            });

                            const unknownOffchainEvents = offchainVerification.events.filter(offchainEvent => mergedEvents.indexOf(offchainEvent.ref) < 0);
                            verification.events = [
                                ...verification.events,
                                ...unknownOffchainEvents
                            ];
                        }
                    } else {
                        // File not found on blockchain and offchain status is registering
                        verification = {
                            ...verification,
                            ...offchainVerification
                        };
                    }

                    // Use legacy issuerVerifiedImg to support encrypted claims in progress (https://certifaction.atlassian.net/browse/BP-2741)
                    if (verification.issuerVerifiedImg && verification.events && verification.events.length > 0) {
                        verification.events = verification.events.map(event => {
                            if (event.issuer.verified_by && !event.issuer.verified_by.image) {
                                event.issuer.verified_by.image = verification.issuerVerifiedImg;
                            }

                            return event
                        });
                    }
                }
            } catch (e) {
                console.error(`Error while verifying by offchain verification: ${e.name} - ${e.message}`);
                verification.offchainError = true;
            }

            console.log(`Verification result for file ${verification.hash}:`, JSON.parse(JSON.stringify(verification)));

            return verification
        },
        async processDigitalTwinUrl() {
            if (!this.digitalTwinInformation.decryptionKey) {
                console.log('No decryption key');
                this.digitalTwin.error = true;
                return
            }

            axios__default['default'].defaults.headers.common['Certifaction-Analytics-Dt'] = true;

            try {
                const response = await axios__default['default'].get(this.digitalTwinInformation.fileUrl, { responseType: 'blob' });

                if (response.status === 200) {
                    const encryptedArrayBuffer = await response.data.arrayBuffer();
                    const decryptedPdfBytes = await this.pdfService.decryptPdf(new Uint8Array(encryptedArrayBuffer), this.digitalTwinInformation.decryptionKey);
                    const decryptedFile = new File([decryptedPdfBytes.buffer], '', {
                        type: 'application/pdf'
                    });

                    const filesNew = [];
                    filesNew.push(decryptedFile);

                    await this.verify(filesNew);

                    this.digitalTwin.fileUrl = URL.createObjectURL(decryptedFile);
                } else {
                    this.digitalTwin.error = true;
                }
            } catch (e) {
                console.error(`Error while processing digital twin url: ${e.name} - ${e.message}`);
                this.digitalTwin.error = true;
            }
        },
        onDraggingDemoDoc(demoDoc) {
            this.draggingDemoDoc = demoDoc;
        },
        async verifyDemo(type) {
            if (demoDocuments[type]) {
                this.verificationItems = [demoDocuments[type]];
                await this.$nextTick();
                VueScrollTo__default['default'].scrollTo(this.$refs.results, 400);
            }
        },
        handleDrop(e) {
            if (this.digitalTwinModeActive) {
                return
            }

            this.dropbox.draggingOver = false;
            this.verify(e.dataTransfer.files);
        },
        async dragOver() {
            if (this.digitalTwinModeActive) {
                return
            }

            if (!this.dropbox.draggingOver) {
                this.dropbox.draggingOver = true;
                this.dropbox.dragLeaveLocked = true;

                window.setTimeout(() => {
                    this.dropbox.dragLeaveLocked = false;
                }, 100);
            }
        },
        dragLeave() {
            if (!this.dropbox.dragLeaveLocked) {
                this.dropbox.draggingOver = false;
            }
        }
    },
    async mounted() {
        if (this.digitalTwinInformation) {
            this.$emit('initialized', true);
            await this.processDigitalTwinUrl();
        } else {
            this.$emit('initialized', false);
        }
    }
};

/* script */
const __vue_script__ = script;
var __vue_render__ = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"certifaction-verification",class:{ dragover: _vm.dropbox.draggingOver },on:{"dragover":function($event){$event.preventDefault();return _vm.dragOver.apply(null, arguments)},"dragleave":_vm.dragLeave,"drop":function($event){$event.preventDefault();return _vm.handleDrop.apply(null, arguments)}}},[(!_vm.digitalTwinModeActive)?_c('VerificationDropBox',{attrs:{"first-verification":_vm.filteredVerificationItems.length === 0}}):_vm._e(),_vm._v(" "),(_vm.demo !== false && !_vm.digitalTwinModeActive)?_c('VerificationDemo',{on:{"verify-demo":_vm.verifyDemo,"dragging-demo-doc":_vm.onDraggingDemoDoc}}):_vm._e(),_vm._v(" "),(_vm.filteredVerificationItems.length)?_c('div',{ref:"results",staticClass:"verification-item-list",class:{ 'digital-twin': _vm.digitalTwinModeActive }},_vm._l((_vm.filteredVerificationItems),function(verificationItem){return _c('VerificationItem',{key:verificationItem.hash,attrs:{"verification-item":verificationItem,"verifier-information":_vm.verifierInformation,"digital-twin-information":_vm.digitalTwinStatus}})}),1):_vm._e(),_vm._v(" "),(!_vm.digitalTwinModeActive)?_c('VerificationFileSelector',{attrs:{"first-verification":_vm.filteredVerificationItems.length === 0},on:{"files-selected":_vm.verify}}):_vm._e(),_vm._v(" "),(!_vm.digitalTwinModeActive)?_c('div',{staticClass:"powered-by"},[_c('span',{staticClass:"label"},[_vm._v(_vm._s(_vm._$t('verification.poweredBy.label')))]),_vm._v(" "),_vm._m(0)]):_vm._e()],1)};
var __vue_staticRenderFns__ = [function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('a',{attrs:{"href":"https://certifaction.com","target":"_blank"}},[_c('img',{attrs:{"src":img,"alt":"Certifaction"}})])}];

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

exports.CertifactionVerification = __vue_component__;
//# sourceMappingURL=verification-vue-component.common.js.map
